
#include "header.h"
#include "struct-myGHPL.h"
#include "integrals.h"


using namespace std;
using namespace GiNaC;

myGHPLs allGHPLs(ex x1, ex x2, ex x3, ex x4, ex x5);


vector<vector<ex> > evaluate_pentagonGHPL(double v1, double v2, double v3, double v4, double v5){

    ex x1,x2,x3,x4,x5;
    vector<ex> result;
    vector<ex> result2;
    vector<vector<ex> > evaluate_pentagonGHPL;

    x1 = v1; 
    x2 = (v1*v2 + v2*v3 - v3*v4 - v1*v5 + v4*v5 +
            sqrt(-4*v1*v2*v3*(v2 - v4 - v5) + pow((v2*v3 + v1*(v2 - v5) +
                v4*(-v3 + v5)),2)))/(2*v1*v3);
    x3 = (v1*(-pow(v2,2) + v4*v5 + v2*(v4 + v5)) + 
            (v2 - v4)*(v2*v3 - v3*v4 + v4*v5 + sqrt(pow(v1,2)*pow((v2 - v5),2) + 
                pow((v2*v3 + v4*(-v3 + v5)),2) + 2*v1*(-(pow(v2,2)*v3) + v4*(v3 - v5)*v5 + 
                  v2*(v4*v5 + v3*(v4 + v5))))))/(2*v1*(v1 + v2 - v4)*v4); 
    x4 = (v1*v2 + v2*v3 - v3*v4 - v1*v5 + v4*v5 - 
            sqrt(-4*v1*v2*v3*(v2 - v4 - v5) + pow((v2*v3 + v1*(v2 - v5) + 
                v4*(-v3 + v5)),2)))/(2*v1*(v2 - v4 - v5));
    x5 = ((v2 - v4)*(v1*v2 + v2*v3 - v3*v4 - v1*v5 + v4*v5 - 
             sqrt(-4*v1*v2*v3*(v2 - v4 - v5) + pow((v2*v3 + v1*(v2 - v5) + 
                 v4*(-v3 + v5)),2))))/(2*v1*v2*(v2 - v4 - v5));

    myGHPLs valuesGHPLs = allGHPLs(x1, x2, x3, x4, x5);


    for(int count = 1; count<=61; count++ ){
        switch(count){
           case 1: result = integral1(valuesGHPLs);  break;
           case 2: result = integral2(valuesGHPLs);  break;
           case 3: result = integral3(valuesGHPLs);  break;
           case 4: result = integral4(valuesGHPLs);  break;
           case 5: result = integral5(valuesGHPLs);  break;
           case 6: result = integral6(valuesGHPLs);  break;
           case 7: result = integral7(valuesGHPLs);  break;
           case 8: result = integral8(valuesGHPLs);  break;
           case 9: result = integral9(valuesGHPLs);  break;
           case 10: result = integral10(valuesGHPLs);  break;
           case 11: result = integral11(valuesGHPLs);  break;
           case 12: result = integral12(valuesGHPLs);  break;
           case 13: result = integral13(valuesGHPLs);  break;
           case 14: result = integral14(valuesGHPLs);  break;
           case 15: result = integral15(valuesGHPLs);  break;
           case 16: result = integral16(valuesGHPLs);  break;
           case 17: result = integral17(valuesGHPLs);  break;
           case 18: result = integral18(valuesGHPLs);  break;
           case 19: result = integral19(valuesGHPLs);  break;
           case 20: result = integral20(valuesGHPLs);  break;
           case 21: result = integral21(valuesGHPLs);  break;
           case 22: result = integral22(valuesGHPLs);  break;
           case 23: result = integral23(valuesGHPLs);  break;
           case 24: result = integral24(valuesGHPLs);  break;
           case 25: result = integral25(valuesGHPLs);  break;
           case 26: result = integral26(valuesGHPLs);  break;
           case 27: result = integral27(valuesGHPLs);  break;
           case 28: result = integral28(valuesGHPLs);  break;
           case 29: result = integral29(valuesGHPLs);  break;
           case 30: result = integral30(valuesGHPLs);  break;
           case 31: result = integral31(valuesGHPLs);  break;
           case 32: result = integral32(valuesGHPLs);  break;
           case 33: result = integral33(valuesGHPLs);  break;
           case 34: result = integral34(valuesGHPLs);  break;
           case 35: result = integral35(valuesGHPLs);  break;
           case 36: result = integral36(valuesGHPLs);  break;
           case 37: result = integral37(valuesGHPLs);  break;
           case 38: result = integral38(valuesGHPLs);  break;
           case 39: result = integral39(valuesGHPLs);  break;
           case 40: result = integral40(valuesGHPLs);  break;
           case 41: result = integral41(valuesGHPLs);  break;
           case 42: result = integral42(valuesGHPLs);  break;
           case 43: result = integral43(valuesGHPLs);  break;
           case 44: result = integral44(valuesGHPLs);  break;
           case 45: result = integral45(valuesGHPLs);  break;
           case 46: result = integral46(valuesGHPLs);  break;
           case 47: result = integral47(valuesGHPLs);  break;
           case 48: result = integral48(valuesGHPLs);  break;
           case 49: result = integral49(valuesGHPLs);  break;
           case 50: result = integral50(valuesGHPLs);  break;
           case 51: result = integral51(valuesGHPLs);  break;
           case 52: result = integral52(valuesGHPLs);  break;
           case 53: result = integral53(valuesGHPLs);  break;
           case 54: result = integral54(valuesGHPLs);  break;
           case 55: result = integral55(valuesGHPLs);  break;
           case 56: result = integral56(valuesGHPLs);  break;
           case 57: result = integral57(valuesGHPLs);  break;
           case 58: result = integral58(valuesGHPLs);  break;
           case 59: result = integral59(valuesGHPLs);  break;
           case 60: result = integral60(valuesGHPLs);  break;
           case 61: result = integral61(valuesGHPLs);  break;
        }
        result2.push_back(result.at(0).evalf());
        result2.push_back(result.at(1).evalf());
        result2.push_back(result.at(2).evalf());
        result2.push_back(result.at(3).evalf());
        result2.push_back(result.at(4).evalf());
        evaluate_pentagonGHPL.push_back(result2);
        result2.clear();
    }

    return evaluate_pentagonGHPL;
}


