
#include "../header.h"
#include "../struct-myGHPL.h"
std::vector<GiNaC::ex>  integral11( myGHPLs  & g) {
      using namespace GiNaC;

     #include "../boundary.h"
     ex zeta3=1.2020569031595942;
     ex d37s3 = 9.03301789873836469269;
     ex d38s3 = 22.0377098912592295221202221000567;

     ex integre0 =  1;
     ex integre1 =  
  2*g.OIm1 + 2*g.OIal1 + g.OIal2 - 2*g.OIx1 - 2*g.OIx2 - g.OIx4 - 
  g.al2Ix5 + g.x5Ial2 - g.x5Ix4
;
     ex integre2 =    
-pow(M_PI,2)/6. + 2*pow(g.OIm1,2) + 4*g.OIm1*g.OIal1 + 
  2*pow(g.OIal1,2) + 2*g.OIm1*g.OIal2 + 2*g.OIal1*g.OIal2 + 
  pow(g.OIal2,2)/2. - 4*g.OIm1*g.OIx1 - 4*g.OIal1*g.OIx1 - 
  2*g.OIal2*g.OIx1 + 2*pow(g.OIx1,2) - 4*g.OIm1*g.OIx2 - 
  4*g.OIal1*g.OIx2 - 2*g.OIal2*g.OIx2 + 4*g.OIx1*g.OIx2 + 
  2*pow(g.OIx2,2) - 2*g.OIm1*g.OIx4 - 2*g.OIal1*g.OIx4 - 
  g.OIal2*g.OIx4 + 2*g.OIx1*g.OIx4 + 2*g.OIx2*g.OIx4 + 
  pow(g.OIx4,2)/2. - 2*g.OIm1*g.al2Ix5 - 2*g.OIal1*g.al2Ix5 - 
  g.OIal2*g.al2Ix5 + 2*g.OIx1*g.al2Ix5 + 2*g.OIx2*g.al2Ix5 + 
  g.OIx4*g.al2Ix5 + pow(g.al2Ix5,2)/2. + 2*g.OIm1*g.x5Ial2 + 
  2*g.OIal1*g.x5Ial2 + 2*g.OIal2*g.x5Ial2 - 2*g.OIx1*g.x5Ial2 - 
  2*g.OIx2*g.x5Ial2 - g.OIx4*g.x5Ial2 - g.al2Ix5*g.x5Ial2 + 
  pow(g.x5Ial2,2)/2. - 2*g.OIm1*g.x5Ix4 - 2*g.OIal1*g.x5Ix4 - 
  g.OIal2*g.x5Ix4 + 2*g.OIx1*g.x5Ix4 + 2*g.OIx2*g.x5Ix4 + 
  g.al2Ix5*g.x5Ix4 - g.x5Ial2*g.x5Ix4 + pow(g.x5Ix4,2)/2. - 
  g.OIx5Ial2 + g.OIx5Ix4 - g.x5I0Ial2 + g.x5I0Ix4
;
     ex integre3 =    
(-14*zeta3)/3. - (pow(M_PI,2)*g.OIm1)/3. + (4*pow(g.OIm1,3))/3. - 
  (pow(M_PI,2)*g.OIal1)/3. + 4*pow(g.OIm1,2)*g.OIal1 + 
  4*g.OIm1*pow(g.OIal1,2) + (4*pow(g.OIal1,3))/3. - 
  (pow(M_PI,2)*g.OIal2)/6. + 2*pow(g.OIm1,2)*g.OIal2 + 
  4*g.OIm1*g.OIal1*g.OIal2 + 2*pow(g.OIal1,2)*g.OIal2 + 
  g.OIm1*pow(g.OIal2,2) + g.OIal1*pow(g.OIal2,2) + 
  pow(g.OIal2,3)/6. + (pow(M_PI,2)*g.OIx1)/3. - 
  4*pow(g.OIm1,2)*g.OIx1 - 8*g.OIm1*g.OIal1*g.OIx1 - 
  4*pow(g.OIal1,2)*g.OIx1 - 4*g.OIm1*g.OIal2*g.OIx1 - 
  4*g.OIal1*g.OIal2*g.OIx1 - pow(g.OIal2,2)*g.OIx1 + 
  4*g.OIm1*pow(g.OIx1,2) + 4*g.OIal1*pow(g.OIx1,2) + 
  2*g.OIal2*pow(g.OIx1,2) - (4*pow(g.OIx1,3))/3. + 
  (pow(M_PI,2)*g.OIx2)/3. - 4*pow(g.OIm1,2)*g.OIx2 - 
  8*g.OIm1*g.OIal1*g.OIx2 - 4*pow(g.OIal1,2)*g.OIx2 - 
  4*g.OIm1*g.OIal2*g.OIx2 - 4*g.OIal1*g.OIal2*g.OIx2 - 
  pow(g.OIal2,2)*g.OIx2 + 8*g.OIm1*g.OIx1*g.OIx2 + 
  8*g.OIal1*g.OIx1*g.OIx2 + 4*g.OIal2*g.OIx1*g.OIx2 - 
  4*pow(g.OIx1,2)*g.OIx2 + 4*g.OIm1*pow(g.OIx2,2) + 
  4*g.OIal1*pow(g.OIx2,2) + 2*g.OIal2*pow(g.OIx2,2) - 
  4*g.OIx1*pow(g.OIx2,2) - (4*pow(g.OIx2,3))/3. + 
  (pow(M_PI,2)*g.OIx4)/6. - 2*pow(g.OIm1,2)*g.OIx4 - 
  4*g.OIm1*g.OIal1*g.OIx4 - 2*pow(g.OIal1,2)*g.OIx4 - 
  2*g.OIm1*g.OIal2*g.OIx4 - 2*g.OIal1*g.OIal2*g.OIx4 - 
  (pow(g.OIal2,2)*g.OIx4)/2. + 4*g.OIm1*g.OIx1*g.OIx4 + 
  4*g.OIal1*g.OIx1*g.OIx4 + 2*g.OIal2*g.OIx1*g.OIx4 - 
  2*pow(g.OIx1,2)*g.OIx4 + 4*g.OIm1*g.OIx2*g.OIx4 + 
  4*g.OIal1*g.OIx2*g.OIx4 + 2*g.OIal2*g.OIx2*g.OIx4 - 
  4*g.OIx1*g.OIx2*g.OIx4 - 2*pow(g.OIx2,2)*g.OIx4 + 
  g.OIm1*pow(g.OIx4,2) + g.OIal1*pow(g.OIx4,2) + 
  (g.OIal2*pow(g.OIx4,2))/2. - g.OIx1*pow(g.OIx4,2) - 
  g.OIx2*pow(g.OIx4,2) - pow(g.OIx4,3)/6. + 
  (pow(M_PI,2)*g.al2Ix5)/6. - 2*pow(g.OIm1,2)*g.al2Ix5 - 
  4*g.OIm1*g.OIal1*g.al2Ix5 - 2*pow(g.OIal1,2)*g.al2Ix5 - 
  2*g.OIm1*g.OIal2*g.al2Ix5 - 2*g.OIal1*g.OIal2*g.al2Ix5 - 
  (pow(g.OIal2,2)*g.al2Ix5)/2. + 4*g.OIm1*g.OIx1*g.al2Ix5 + 
  4*g.OIal1*g.OIx1*g.al2Ix5 + 2*g.OIal2*g.OIx1*g.al2Ix5 - 
  2*pow(g.OIx1,2)*g.al2Ix5 + 4*g.OIm1*g.OIx2*g.al2Ix5 + 
  4*g.OIal1*g.OIx2*g.al2Ix5 + 2*g.OIal2*g.OIx2*g.al2Ix5 - 
  4*g.OIx1*g.OIx2*g.al2Ix5 - 2*pow(g.OIx2,2)*g.al2Ix5 + 
  2*g.OIm1*g.OIx4*g.al2Ix5 + 2*g.OIal1*g.OIx4*g.al2Ix5 + 
  g.OIal2*g.OIx4*g.al2Ix5 - 2*g.OIx1*g.OIx4*g.al2Ix5 - 
  2*g.OIx2*g.OIx4*g.al2Ix5 - (pow(g.OIx4,2)*g.al2Ix5)/2. + 
  g.OIm1*pow(g.al2Ix5,2) + g.OIal1*pow(g.al2Ix5,2) + 
  (g.OIal2*pow(g.al2Ix5,2))/2. - g.OIx1*pow(g.al2Ix5,2) - 
  g.OIx2*pow(g.al2Ix5,2) - (g.OIx4*pow(g.al2Ix5,2))/2. - 
  pow(g.al2Ix5,3)/6. - (pow(M_PI,2)*g.x5Ial2)/6. + 
  2*pow(g.OIm1,2)*g.x5Ial2 + 4*g.OIm1*g.OIal1*g.x5Ial2 + 
  2*pow(g.OIal1,2)*g.x5Ial2 + 4*g.OIm1*g.OIal2*g.x5Ial2 + 
  4*g.OIal1*g.OIal2*g.x5Ial2 + 2*pow(g.OIal2,2)*g.x5Ial2 - 
  4*g.OIm1*g.OIx1*g.x5Ial2 - 4*g.OIal1*g.OIx1*g.x5Ial2 - 
  4*g.OIal2*g.OIx1*g.x5Ial2 + 2*pow(g.OIx1,2)*g.x5Ial2 - 
  4*g.OIm1*g.OIx2*g.x5Ial2 - 4*g.OIal1*g.OIx2*g.x5Ial2 - 
  4*g.OIal2*g.OIx2*g.x5Ial2 + 4*g.OIx1*g.OIx2*g.x5Ial2 + 
  2*pow(g.OIx2,2)*g.x5Ial2 - 2*g.OIm1*g.OIx4*g.x5Ial2 - 
  2*g.OIal1*g.OIx4*g.x5Ial2 - 2*g.OIal2*g.OIx4*g.x5Ial2 + 
  2*g.OIx1*g.OIx4*g.x5Ial2 + 2*g.OIx2*g.OIx4*g.x5Ial2 + 
  (pow(g.OIx4,2)*g.x5Ial2)/2. - 2*g.OIm1*g.al2Ix5*g.x5Ial2 - 
  2*g.OIal1*g.al2Ix5*g.x5Ial2 - 2*g.OIal2*g.al2Ix5*g.x5Ial2 + 
  2*g.OIx1*g.al2Ix5*g.x5Ial2 + 2*g.OIx2*g.al2Ix5*g.x5Ial2 + 
  g.OIx4*g.al2Ix5*g.x5Ial2 + (pow(g.al2Ix5,2)*g.x5Ial2)/2. + 
  g.OIm1*pow(g.x5Ial2,2) + g.OIal1*pow(g.x5Ial2,2) + 
  2*g.OIal2*pow(g.x5Ial2,2) - g.OIx1*pow(g.x5Ial2,2) - 
  g.OIx2*pow(g.x5Ial2,2) - (g.OIx4*pow(g.x5Ial2,2))/2. - 
  (g.al2Ix5*pow(g.x5Ial2,2))/2. + pow(g.x5Ial2,3)/6. + 
  (pow(M_PI,2)*g.x5Ix4)/6. - 2*pow(g.OIm1,2)*g.x5Ix4 - 
  4*g.OIm1*g.OIal1*g.x5Ix4 - 2*pow(g.OIal1,2)*g.x5Ix4 - 
  2*g.OIm1*g.OIal2*g.x5Ix4 - 2*g.OIal1*g.OIal2*g.x5Ix4 - 
  (pow(g.OIal2,2)*g.x5Ix4)/2. + 4*g.OIm1*g.OIx1*g.x5Ix4 + 
  4*g.OIal1*g.OIx1*g.x5Ix4 + 2*g.OIal2*g.OIx1*g.x5Ix4 - 
  2*pow(g.OIx1,2)*g.x5Ix4 + 4*g.OIm1*g.OIx2*g.x5Ix4 + 
  4*g.OIal1*g.OIx2*g.x5Ix4 + 2*g.OIal2*g.OIx2*g.x5Ix4 - 
  4*g.OIx1*g.OIx2*g.x5Ix4 - 2*pow(g.OIx2,2)*g.x5Ix4 + 
  2*g.OIm1*g.al2Ix5*g.x5Ix4 + 2*g.OIal1*g.al2Ix5*g.x5Ix4 + 
  g.OIal2*g.al2Ix5*g.x5Ix4 - 2*g.OIx1*g.al2Ix5*g.x5Ix4 - 
  2*g.OIx2*g.al2Ix5*g.x5Ix4 - (pow(g.al2Ix5,2)*g.x5Ix4)/2. - 
  2*g.OIm1*g.x5Ial2*g.x5Ix4 - 2*g.OIal1*g.x5Ial2*g.x5Ix4 - 
  2*g.OIal2*g.x5Ial2*g.x5Ix4 + 2*g.OIx1*g.x5Ial2*g.x5Ix4 + 
  2*g.OIx2*g.x5Ial2*g.x5Ix4 + g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  (pow(g.x5Ial2,2)*g.x5Ix4)/2. + g.OIm1*pow(g.x5Ix4,2) + 
  g.OIal1*pow(g.x5Ix4,2) + (g.OIal2*pow(g.x5Ix4,2))/2. - 
  g.OIx1*pow(g.x5Ix4,2) - g.OIx2*pow(g.x5Ix4,2) - 
  (g.al2Ix5*pow(g.x5Ix4,2))/2. + (g.x5Ial2*pow(g.x5Ix4,2))/2. - 
  pow(g.x5Ix4,3)/6. - 2*g.OIm1*g.OIx5Ial2 - 2*g.OIal1*g.OIx5Ial2 - 
  2*g.OIal2*g.OIx5Ial2 + 2*g.OIx1*g.OIx5Ial2 + 2*g.OIx2*g.OIx5Ial2 + 
  g.OIx4*g.OIx5Ial2 + g.al2Ix5*g.OIx5Ial2 - 2*g.x5Ial2*g.OIx5Ial2 + 
  g.x5Ix4*g.OIx5Ial2 + 2*g.OIm1*g.OIx5Ix4 + 2*g.OIal1*g.OIx5Ix4 + 
  g.OIal2*g.OIx5Ix4 - 2*g.OIx1*g.OIx5Ix4 - 2*g.OIx2*g.OIx5Ix4 - 
  g.al2Ix5*g.OIx5Ix4 + g.x5Ial2*g.OIx5Ix4 - 2*g.OIm1*g.x5I0Ial2 - 
  2*g.OIal1*g.x5I0Ial2 - 2*g.OIal2*g.x5I0Ial2 + 2*g.OIx1*g.x5I0Ial2 + 
  2*g.OIx2*g.x5I0Ial2 + g.OIx4*g.x5I0Ial2 + g.al2Ix5*g.x5I0Ial2 - 
  2*g.x5Ial2*g.x5I0Ial2 + g.x5Ix4*g.x5I0Ial2 + 2*g.OIm1*g.x5I0Ix4 + 
  2*g.OIal1*g.x5I0Ix4 + g.OIal2*g.x5I0Ix4 - 2*g.OIx1*g.x5I0Ix4 - 
  2*g.OIx2*g.x5I0Ix4 - g.al2Ix5*g.x5I0Ix4 + g.x5Ial2*g.x5I0Ix4 + 
  g.OI0Ix5Ial2 - g.OI0Ix5Ix4 + g.OIx5I0Ial2 - g.OIx5I0Ix4 + 
  g.OIx5Ix5Ial2 - g.OIx5Ix5Ix4 + g.x5I0I0Ial2 - g.x5I0I0Ix4 + 
  g.x5I0Ix5Ial2 - g.x5I0Ix5Ix4 + g.x5Ix5I0Ial2 - g.x5Ix5I0Ix4
;
     ex integre4 =   
 bc4i11 - (28*zeta3*g.OIm1)/3. - (pow(M_PI,2)*pow(g.OIm1,2))/3. + 
  (2*pow(g.OIm1,4))/3. - (28*zeta3*g.OIal1)/3. - 
  (2*pow(M_PI,2)*g.OIm1*g.OIal1)/3. + (8*pow(g.OIm1,3)*g.OIal1)/3. - 
  (pow(M_PI,2)*pow(g.OIal1,2))/3. + 4*pow(g.OIm1,2)*pow(g.OIal1,2) + 
  (8*g.OIm1*pow(g.OIal1,3))/3. + (2*pow(g.OIal1,4))/3. - 
  (14*zeta3*g.OIal2)/3. - (pow(M_PI,2)*g.OIm1*g.OIal2)/3. + 
  (4*pow(g.OIm1,3)*g.OIal2)/3. - (pow(M_PI,2)*g.OIal1*g.OIal2)/3. + 
  4*pow(g.OIm1,2)*g.OIal1*g.OIal2 + 
  4*g.OIm1*pow(g.OIal1,2)*g.OIal2 + (4*pow(g.OIal1,3)*g.OIal2)/3. - 
  (pow(M_PI,2)*pow(g.OIal2,2))/12. + pow(g.OIm1,2)*pow(g.OIal2,2) + 
  2*g.OIm1*g.OIal1*pow(g.OIal2,2) + 
  pow(g.OIal1,2)*pow(g.OIal2,2) + (g.OIm1*pow(g.OIal2,3))/3. + 
  (g.OIal1*pow(g.OIal2,3))/3. + pow(g.OIal2,4)/24. + 
  (28*zeta3*g.OIx1)/3. + (2*pow(M_PI,2)*g.OIm1*g.OIx1)/3. - 
  (8*pow(g.OIm1,3)*g.OIx1)/3. + (2*pow(M_PI,2)*g.OIal1*g.OIx1)/3. - 
  8*pow(g.OIm1,2)*g.OIal1*g.OIx1 - 8*g.OIm1*pow(g.OIal1,2)*g.OIx1 - 
  (8*pow(g.OIal1,3)*g.OIx1)/3. + (pow(M_PI,2)*g.OIal2*g.OIx1)/3. - 
  4*pow(g.OIm1,2)*g.OIal2*g.OIx1 - 8*g.OIm1*g.OIal1*g.OIal2*g.OIx1 - 
  4*pow(g.OIal1,2)*g.OIal2*g.OIx1 - 
  2*g.OIm1*pow(g.OIal2,2)*g.OIx1 - 
  2*g.OIal1*pow(g.OIal2,2)*g.OIx1 - (pow(g.OIal2,3)*g.OIx1)/3. - 
  (pow(M_PI,2)*pow(g.OIx1,2))/3. + 4*pow(g.OIm1,2)*pow(g.OIx1,2) + 
  8*g.OIm1*g.OIal1*pow(g.OIx1,2) + 
  4*pow(g.OIal1,2)*pow(g.OIx1,2) + 
  4*g.OIm1*g.OIal2*pow(g.OIx1,2) + 
  4*g.OIal1*g.OIal2*pow(g.OIx1,2) + pow(g.OIal2,2)*pow(g.OIx1,2) - 
  (8*g.OIm1*pow(g.OIx1,3))/3. - (8*g.OIal1*pow(g.OIx1,3))/3. - 
  (4*g.OIal2*pow(g.OIx1,3))/3. + (2*pow(g.OIx1,4))/3. + 
  (28*zeta3*g.OIx2)/3. + (2*pow(M_PI,2)*g.OIm1*g.OIx2)/3. - 
  (8*pow(g.OIm1,3)*g.OIx2)/3. + (2*pow(M_PI,2)*g.OIal1*g.OIx2)/3. - 
  8*pow(g.OIm1,2)*g.OIal1*g.OIx2 - 8*g.OIm1*pow(g.OIal1,2)*g.OIx2 - 
  (8*pow(g.OIal1,3)*g.OIx2)/3. + (pow(M_PI,2)*g.OIal2*g.OIx2)/3. - 
  4*pow(g.OIm1,2)*g.OIal2*g.OIx2 - 8*g.OIm1*g.OIal1*g.OIal2*g.OIx2 - 
  4*pow(g.OIal1,2)*g.OIal2*g.OIx2 - 
  2*g.OIm1*pow(g.OIal2,2)*g.OIx2 - 
  2*g.OIal1*pow(g.OIal2,2)*g.OIx2 - (pow(g.OIal2,3)*g.OIx2)/3. - 
  (2*pow(M_PI,2)*g.OIx1*g.OIx2)/3. + 8*pow(g.OIm1,2)*g.OIx1*g.OIx2 + 
  16*g.OIm1*g.OIal1*g.OIx1*g.OIx2 + 8*pow(g.OIal1,2)*g.OIx1*g.OIx2 + 
  8*g.OIm1*g.OIal2*g.OIx1*g.OIx2 + 8*g.OIal1*g.OIal2*g.OIx1*g.OIx2 + 
  2*pow(g.OIal2,2)*g.OIx1*g.OIx2 - 8*g.OIm1*pow(g.OIx1,2)*g.OIx2 - 
  8*g.OIal1*pow(g.OIx1,2)*g.OIx2 - 4*g.OIal2*pow(g.OIx1,2)*g.OIx2 + 
  (8*pow(g.OIx1,3)*g.OIx2)/3. - (pow(M_PI,2)*pow(g.OIx2,2))/3. + 
  4*pow(g.OIm1,2)*pow(g.OIx2,2) + 8*g.OIm1*g.OIal1*pow(g.OIx2,2) + 
  4*pow(g.OIal1,2)*pow(g.OIx2,2) + 
  4*g.OIm1*g.OIal2*pow(g.OIx2,2) + 
  4*g.OIal1*g.OIal2*pow(g.OIx2,2) + pow(g.OIal2,2)*pow(g.OIx2,2) - 
  8*g.OIm1*g.OIx1*pow(g.OIx2,2) - 8*g.OIal1*g.OIx1*pow(g.OIx2,2) - 
  4*g.OIal2*g.OIx1*pow(g.OIx2,2) + 4*pow(g.OIx1,2)*pow(g.OIx2,2) - 
  (8*g.OIm1*pow(g.OIx2,3))/3. - (8*g.OIal1*pow(g.OIx2,3))/3. - 
  (4*g.OIal2*pow(g.OIx2,3))/3. + (8*g.OIx1*pow(g.OIx2,3))/3. + 
  (2*pow(g.OIx2,4))/3. + (14*zeta3*g.OIx4)/3. + 
  (pow(M_PI,2)*g.OIm1*g.OIx4)/3. - (4*pow(g.OIm1,3)*g.OIx4)/3. + 
  (pow(M_PI,2)*g.OIal1*g.OIx4)/3. - 4*pow(g.OIm1,2)*g.OIal1*g.OIx4 - 
  4*g.OIm1*pow(g.OIal1,2)*g.OIx4 - (4*pow(g.OIal1,3)*g.OIx4)/3. + 
  (pow(M_PI,2)*g.OIal2*g.OIx4)/6. - 2*pow(g.OIm1,2)*g.OIal2*g.OIx4 - 
  4*g.OIm1*g.OIal1*g.OIal2*g.OIx4 - 
  2*pow(g.OIal1,2)*g.OIal2*g.OIx4 - g.OIm1*pow(g.OIal2,2)*g.OIx4 - 
  g.OIal1*pow(g.OIal2,2)*g.OIx4 - (pow(g.OIal2,3)*g.OIx4)/6. - 
  (pow(M_PI,2)*g.OIx1*g.OIx4)/3. + 4*pow(g.OIm1,2)*g.OIx1*g.OIx4 + 
  8*g.OIm1*g.OIal1*g.OIx1*g.OIx4 + 4*pow(g.OIal1,2)*g.OIx1*g.OIx4 + 
  4*g.OIm1*g.OIal2*g.OIx1*g.OIx4 + 4*g.OIal1*g.OIal2*g.OIx1*g.OIx4 + 
  pow(g.OIal2,2)*g.OIx1*g.OIx4 - 4*g.OIm1*pow(g.OIx1,2)*g.OIx4 - 
  4*g.OIal1*pow(g.OIx1,2)*g.OIx4 - 2*g.OIal2*pow(g.OIx1,2)*g.OIx4 + 
  (4*pow(g.OIx1,3)*g.OIx4)/3. - (pow(M_PI,2)*g.OIx2*g.OIx4)/3. + 
  4*pow(g.OIm1,2)*g.OIx2*g.OIx4 + 8*g.OIm1*g.OIal1*g.OIx2*g.OIx4 + 
  4*pow(g.OIal1,2)*g.OIx2*g.OIx4 + 4*g.OIm1*g.OIal2*g.OIx2*g.OIx4 + 
  4*g.OIal1*g.OIal2*g.OIx2*g.OIx4 + pow(g.OIal2,2)*g.OIx2*g.OIx4 - 
  8*g.OIm1*g.OIx1*g.OIx2*g.OIx4 - 8*g.OIal1*g.OIx1*g.OIx2*g.OIx4 - 
  4*g.OIal2*g.OIx1*g.OIx2*g.OIx4 + 4*pow(g.OIx1,2)*g.OIx2*g.OIx4 - 
  4*g.OIm1*pow(g.OIx2,2)*g.OIx4 - 4*g.OIal1*pow(g.OIx2,2)*g.OIx4 - 
  2*g.OIal2*pow(g.OIx2,2)*g.OIx4 + 4*g.OIx1*pow(g.OIx2,2)*g.OIx4 + 
  (4*pow(g.OIx2,3)*g.OIx4)/3. - (pow(M_PI,2)*pow(g.OIx4,2))/12. + 
  pow(g.OIm1,2)*pow(g.OIx4,2) + 2*g.OIm1*g.OIal1*pow(g.OIx4,2) + 
  pow(g.OIal1,2)*pow(g.OIx4,2) + g.OIm1*g.OIal2*pow(g.OIx4,2) + 
  g.OIal1*g.OIal2*pow(g.OIx4,2) + 
  (pow(g.OIal2,2)*pow(g.OIx4,2))/4. - 
  2*g.OIm1*g.OIx1*pow(g.OIx4,2) - 2*g.OIal1*g.OIx1*pow(g.OIx4,2) - 
  g.OIal2*g.OIx1*pow(g.OIx4,2) + pow(g.OIx1,2)*pow(g.OIx4,2) - 
  2*g.OIm1*g.OIx2*pow(g.OIx4,2) - 2*g.OIal1*g.OIx2*pow(g.OIx4,2) - 
  g.OIal2*g.OIx2*pow(g.OIx4,2) + 2*g.OIx1*g.OIx2*pow(g.OIx4,2) + 
  pow(g.OIx2,2)*pow(g.OIx4,2) - (g.OIm1*pow(g.OIx4,3))/3. - 
  (g.OIal1*pow(g.OIx4,3))/3. - (g.OIal2*pow(g.OIx4,3))/6. + 
  (g.OIx1*pow(g.OIx4,3))/3. + (g.OIx2*pow(g.OIx4,3))/3. + 
  pow(g.OIx4,4)/24. + (14*zeta3*g.al2Ix5)/3. + 
  (pow(M_PI,2)*g.OIm1*g.al2Ix5)/3. - (4*pow(g.OIm1,3)*g.al2Ix5)/3. + 
  (pow(M_PI,2)*g.OIal1*g.al2Ix5)/3. - 
  4*pow(g.OIm1,2)*g.OIal1*g.al2Ix5 - 
  4*g.OIm1*pow(g.OIal1,2)*g.al2Ix5 - 
  (4*pow(g.OIal1,3)*g.al2Ix5)/3. + (pow(M_PI,2)*g.OIal2*g.al2Ix5)/6. - 
  2*pow(g.OIm1,2)*g.OIal2*g.al2Ix5 - 
  4*g.OIm1*g.OIal1*g.OIal2*g.al2Ix5 - 
  2*pow(g.OIal1,2)*g.OIal2*g.al2Ix5 - 
  g.OIm1*pow(g.OIal2,2)*g.al2Ix5 - 
  g.OIal1*pow(g.OIal2,2)*g.al2Ix5 - (pow(g.OIal2,3)*g.al2Ix5)/6. - 
  (pow(M_PI,2)*g.OIx1*g.al2Ix5)/3. + 4*pow(g.OIm1,2)*g.OIx1*g.al2Ix5 + 
  8*g.OIm1*g.OIal1*g.OIx1*g.al2Ix5 + 
  4*pow(g.OIal1,2)*g.OIx1*g.al2Ix5 + 
  4*g.OIm1*g.OIal2*g.OIx1*g.al2Ix5 + 
  4*g.OIal1*g.OIal2*g.OIx1*g.al2Ix5 + 
  pow(g.OIal2,2)*g.OIx1*g.al2Ix5 - 
  4*g.OIm1*pow(g.OIx1,2)*g.al2Ix5 - 
  4*g.OIal1*pow(g.OIx1,2)*g.al2Ix5 - 
  2*g.OIal2*pow(g.OIx1,2)*g.al2Ix5 + (4*pow(g.OIx1,3)*g.al2Ix5)/3. - 
  (pow(M_PI,2)*g.OIx2*g.al2Ix5)/3. + 4*pow(g.OIm1,2)*g.OIx2*g.al2Ix5 + 
  8*g.OIm1*g.OIal1*g.OIx2*g.al2Ix5 + 
  4*pow(g.OIal1,2)*g.OIx2*g.al2Ix5 + 
  4*g.OIm1*g.OIal2*g.OIx2*g.al2Ix5 + 
  4*g.OIal1*g.OIal2*g.OIx2*g.al2Ix5 + 
  pow(g.OIal2,2)*g.OIx2*g.al2Ix5 - 8*g.OIm1*g.OIx1*g.OIx2*g.al2Ix5 - 
  8*g.OIal1*g.OIx1*g.OIx2*g.al2Ix5 - 
  4*g.OIal2*g.OIx1*g.OIx2*g.al2Ix5 + 
  4*pow(g.OIx1,2)*g.OIx2*g.al2Ix5 - 
  4*g.OIm1*pow(g.OIx2,2)*g.al2Ix5 - 
  4*g.OIal1*pow(g.OIx2,2)*g.al2Ix5 - 
  2*g.OIal2*pow(g.OIx2,2)*g.al2Ix5 + 
  4*g.OIx1*pow(g.OIx2,2)*g.al2Ix5 + (4*pow(g.OIx2,3)*g.al2Ix5)/3. - 
  (pow(M_PI,2)*g.OIx4*g.al2Ix5)/6. + 2*pow(g.OIm1,2)*g.OIx4*g.al2Ix5 + 
  4*g.OIm1*g.OIal1*g.OIx4*g.al2Ix5 + 
  2*pow(g.OIal1,2)*g.OIx4*g.al2Ix5 + 
  2*g.OIm1*g.OIal2*g.OIx4*g.al2Ix5 + 
  2*g.OIal1*g.OIal2*g.OIx4*g.al2Ix5 + 
  (pow(g.OIal2,2)*g.OIx4*g.al2Ix5)/2. - 
  4*g.OIm1*g.OIx1*g.OIx4*g.al2Ix5 - 
  4*g.OIal1*g.OIx1*g.OIx4*g.al2Ix5 - 
  2*g.OIal2*g.OIx1*g.OIx4*g.al2Ix5 + 
  2*pow(g.OIx1,2)*g.OIx4*g.al2Ix5 - 
  4*g.OIm1*g.OIx2*g.OIx4*g.al2Ix5 - 
  4*g.OIal1*g.OIx2*g.OIx4*g.al2Ix5 - 
  2*g.OIal2*g.OIx2*g.OIx4*g.al2Ix5 + 
  4*g.OIx1*g.OIx2*g.OIx4*g.al2Ix5 + 
  2*pow(g.OIx2,2)*g.OIx4*g.al2Ix5 - g.OIm1*pow(g.OIx4,2)*g.al2Ix5 - 
  g.OIal1*pow(g.OIx4,2)*g.al2Ix5 - 
  (g.OIal2*pow(g.OIx4,2)*g.al2Ix5)/2. + 
  g.OIx1*pow(g.OIx4,2)*g.al2Ix5 + g.OIx2*pow(g.OIx4,2)*g.al2Ix5 + 
  (pow(g.OIx4,3)*g.al2Ix5)/6. - (pow(M_PI,2)*pow(g.al2Ix5,2))/12. + 
  pow(g.OIm1,2)*pow(g.al2Ix5,2) + 
  2*g.OIm1*g.OIal1*pow(g.al2Ix5,2) + 
  pow(g.OIal1,2)*pow(g.al2Ix5,2) + 
  g.OIm1*g.OIal2*pow(g.al2Ix5,2) + 
  g.OIal1*g.OIal2*pow(g.al2Ix5,2) + 
  (pow(g.OIal2,2)*pow(g.al2Ix5,2))/4. - 
  2*g.OIm1*g.OIx1*pow(g.al2Ix5,2) - 
  2*g.OIal1*g.OIx1*pow(g.al2Ix5,2) - 
  g.OIal2*g.OIx1*pow(g.al2Ix5,2) + pow(g.OIx1,2)*pow(g.al2Ix5,2) - 
  2*g.OIm1*g.OIx2*pow(g.al2Ix5,2) - 
  2*g.OIal1*g.OIx2*pow(g.al2Ix5,2) - 
  g.OIal2*g.OIx2*pow(g.al2Ix5,2) + 
  2*g.OIx1*g.OIx2*pow(g.al2Ix5,2) + 
  pow(g.OIx2,2)*pow(g.al2Ix5,2) - g.OIm1*g.OIx4*pow(g.al2Ix5,2) - 
  g.OIal1*g.OIx4*pow(g.al2Ix5,2) - 
  (g.OIal2*g.OIx4*pow(g.al2Ix5,2))/2. + 
  g.OIx1*g.OIx4*pow(g.al2Ix5,2) + g.OIx2*g.OIx4*pow(g.al2Ix5,2) + 
  (pow(g.OIx4,2)*pow(g.al2Ix5,2))/4. - 
  (g.OIm1*pow(g.al2Ix5,3))/3. - (g.OIal1*pow(g.al2Ix5,3))/3. - 
  (g.OIal2*pow(g.al2Ix5,3))/6. + (g.OIx1*pow(g.al2Ix5,3))/3. + 
  (g.OIx2*pow(g.al2Ix5,3))/3. + (g.OIx4*pow(g.al2Ix5,3))/6. + 
  pow(g.al2Ix5,4)/24. - (14*zeta3*g.x5Ial2)/3. - 
  (pow(M_PI,2)*g.OIm1*g.x5Ial2)/3. + (4*pow(g.OIm1,3)*g.x5Ial2)/3. - 
  (pow(M_PI,2)*g.OIal1*g.x5Ial2)/3. + 
  4*pow(g.OIm1,2)*g.OIal1*g.x5Ial2 + 
  4*g.OIm1*pow(g.OIal1,2)*g.x5Ial2 + 
  (4*pow(g.OIal1,3)*g.x5Ial2)/3. - (pow(M_PI,2)*g.OIal2*g.x5Ial2)/3. + 
  4*pow(g.OIm1,2)*g.OIal2*g.x5Ial2 + 
  8*g.OIm1*g.OIal1*g.OIal2*g.x5Ial2 + 
  4*pow(g.OIal1,2)*g.OIal2*g.x5Ial2 + 
  4*g.OIm1*pow(g.OIal2,2)*g.x5Ial2 + 
  4*g.OIal1*pow(g.OIal2,2)*g.x5Ial2 + 
  (4*pow(g.OIal2,3)*g.x5Ial2)/3. + (pow(M_PI,2)*g.OIx1*g.x5Ial2)/3. - 
  4*pow(g.OIm1,2)*g.OIx1*g.x5Ial2 - 
  8*g.OIm1*g.OIal1*g.OIx1*g.x5Ial2 - 
  4*pow(g.OIal1,2)*g.OIx1*g.x5Ial2 - 
  8*g.OIm1*g.OIal2*g.OIx1*g.x5Ial2 - 
  8*g.OIal1*g.OIal2*g.OIx1*g.x5Ial2 - 
  4*pow(g.OIal2,2)*g.OIx1*g.x5Ial2 + 
  4*g.OIm1*pow(g.OIx1,2)*g.x5Ial2 + 
  4*g.OIal1*pow(g.OIx1,2)*g.x5Ial2 + 
  4*g.OIal2*pow(g.OIx1,2)*g.x5Ial2 - (4*pow(g.OIx1,3)*g.x5Ial2)/3. + 
  (pow(M_PI,2)*g.OIx2*g.x5Ial2)/3. - 4*pow(g.OIm1,2)*g.OIx2*g.x5Ial2 - 
  8*g.OIm1*g.OIal1*g.OIx2*g.x5Ial2 - 
  4*pow(g.OIal1,2)*g.OIx2*g.x5Ial2 - 
  8*g.OIm1*g.OIal2*g.OIx2*g.x5Ial2 - 
  8*g.OIal1*g.OIal2*g.OIx2*g.x5Ial2 - 
  4*pow(g.OIal2,2)*g.OIx2*g.x5Ial2 + 
  8*g.OIm1*g.OIx1*g.OIx2*g.x5Ial2 + 
  8*g.OIal1*g.OIx1*g.OIx2*g.x5Ial2 + 
  8*g.OIal2*g.OIx1*g.OIx2*g.x5Ial2 - 
  4*pow(g.OIx1,2)*g.OIx2*g.x5Ial2 + 
  4*g.OIm1*pow(g.OIx2,2)*g.x5Ial2 + 
  4*g.OIal1*pow(g.OIx2,2)*g.x5Ial2 + 
  4*g.OIal2*pow(g.OIx2,2)*g.x5Ial2 - 
  4*g.OIx1*pow(g.OIx2,2)*g.x5Ial2 - (4*pow(g.OIx2,3)*g.x5Ial2)/3. + 
  (pow(M_PI,2)*g.OIx4*g.x5Ial2)/6. - 2*pow(g.OIm1,2)*g.OIx4*g.x5Ial2 - 
  4*g.OIm1*g.OIal1*g.OIx4*g.x5Ial2 - 
  2*pow(g.OIal1,2)*g.OIx4*g.x5Ial2 - 
  4*g.OIm1*g.OIal2*g.OIx4*g.x5Ial2 - 
  4*g.OIal1*g.OIal2*g.OIx4*g.x5Ial2 - 
  2*pow(g.OIal2,2)*g.OIx4*g.x5Ial2 + 
  4*g.OIm1*g.OIx1*g.OIx4*g.x5Ial2 + 
  4*g.OIal1*g.OIx1*g.OIx4*g.x5Ial2 + 
  4*g.OIal2*g.OIx1*g.OIx4*g.x5Ial2 - 
  2*pow(g.OIx1,2)*g.OIx4*g.x5Ial2 + 
  4*g.OIm1*g.OIx2*g.OIx4*g.x5Ial2 + 
  4*g.OIal1*g.OIx2*g.OIx4*g.x5Ial2 + 
  4*g.OIal2*g.OIx2*g.OIx4*g.x5Ial2 - 
  4*g.OIx1*g.OIx2*g.OIx4*g.x5Ial2 - 
  2*pow(g.OIx2,2)*g.OIx4*g.x5Ial2 + g.OIm1*pow(g.OIx4,2)*g.x5Ial2 + 
  g.OIal1*pow(g.OIx4,2)*g.x5Ial2 + g.OIal2*pow(g.OIx4,2)*g.x5Ial2 - 
  g.OIx1*pow(g.OIx4,2)*g.x5Ial2 - g.OIx2*pow(g.OIx4,2)*g.x5Ial2 - 
  (pow(g.OIx4,3)*g.x5Ial2)/6. + (pow(M_PI,2)*g.al2Ix5*g.x5Ial2)/6. - 
  2*pow(g.OIm1,2)*g.al2Ix5*g.x5Ial2 - 
  4*g.OIm1*g.OIal1*g.al2Ix5*g.x5Ial2 - 
  2*pow(g.OIal1,2)*g.al2Ix5*g.x5Ial2 - 
  4*g.OIm1*g.OIal2*g.al2Ix5*g.x5Ial2 - 
  4*g.OIal1*g.OIal2*g.al2Ix5*g.x5Ial2 - 
  2*pow(g.OIal2,2)*g.al2Ix5*g.x5Ial2 + 
  4*g.OIm1*g.OIx1*g.al2Ix5*g.x5Ial2 + 
  4*g.OIal1*g.OIx1*g.al2Ix5*g.x5Ial2 + 
  4*g.OIal2*g.OIx1*g.al2Ix5*g.x5Ial2 - 
  2*pow(g.OIx1,2)*g.al2Ix5*g.x5Ial2 + 
  4*g.OIm1*g.OIx2*g.al2Ix5*g.x5Ial2 + 
  4*g.OIal1*g.OIx2*g.al2Ix5*g.x5Ial2 + 
  4*g.OIal2*g.OIx2*g.al2Ix5*g.x5Ial2 - 
  4*g.OIx1*g.OIx2*g.al2Ix5*g.x5Ial2 - 
  2*pow(g.OIx2,2)*g.al2Ix5*g.x5Ial2 + 
  2*g.OIm1*g.OIx4*g.al2Ix5*g.x5Ial2 + 
  2*g.OIal1*g.OIx4*g.al2Ix5*g.x5Ial2 + 
  2*g.OIal2*g.OIx4*g.al2Ix5*g.x5Ial2 - 
  2*g.OIx1*g.OIx4*g.al2Ix5*g.x5Ial2 - 
  2*g.OIx2*g.OIx4*g.al2Ix5*g.x5Ial2 - 
  (pow(g.OIx4,2)*g.al2Ix5*g.x5Ial2)/2. + 
  g.OIm1*pow(g.al2Ix5,2)*g.x5Ial2 + 
  g.OIal1*pow(g.al2Ix5,2)*g.x5Ial2 + 
  g.OIal2*pow(g.al2Ix5,2)*g.x5Ial2 - 
  g.OIx1*pow(g.al2Ix5,2)*g.x5Ial2 - 
  g.OIx2*pow(g.al2Ix5,2)*g.x5Ial2 - 
  (g.OIx4*pow(g.al2Ix5,2)*g.x5Ial2)/2. - 
  (pow(g.al2Ix5,3)*g.x5Ial2)/6. - (pow(M_PI,2)*pow(g.x5Ial2,2))/12. + 
  pow(g.OIm1,2)*pow(g.x5Ial2,2) + 
  2*g.OIm1*g.OIal1*pow(g.x5Ial2,2) + 
  pow(g.OIal1,2)*pow(g.x5Ial2,2) + 
  4*g.OIm1*g.OIal2*pow(g.x5Ial2,2) + 
  4*g.OIal1*g.OIal2*pow(g.x5Ial2,2) + 
  (7*pow(g.OIal2,2)*pow(g.x5Ial2,2))/2. - 
  2*g.OIm1*g.OIx1*pow(g.x5Ial2,2) - 
  2*g.OIal1*g.OIx1*pow(g.x5Ial2,2) - 
  4*g.OIal2*g.OIx1*pow(g.x5Ial2,2) + 
  pow(g.OIx1,2)*pow(g.x5Ial2,2) - 
  2*g.OIm1*g.OIx2*pow(g.x5Ial2,2) - 
  2*g.OIal1*g.OIx2*pow(g.x5Ial2,2) - 
  4*g.OIal2*g.OIx2*pow(g.x5Ial2,2) + 
  2*g.OIx1*g.OIx2*pow(g.x5Ial2,2) + 
  pow(g.OIx2,2)*pow(g.x5Ial2,2) - g.OIm1*g.OIx4*pow(g.x5Ial2,2) - 
  g.OIal1*g.OIx4*pow(g.x5Ial2,2) - 
  2*g.OIal2*g.OIx4*pow(g.x5Ial2,2) + 
  g.OIx1*g.OIx4*pow(g.x5Ial2,2) + g.OIx2*g.OIx4*pow(g.x5Ial2,2) + 
  (pow(g.OIx4,2)*pow(g.x5Ial2,2))/4. - 
  g.OIm1*g.al2Ix5*pow(g.x5Ial2,2) - 
  g.OIal1*g.al2Ix5*pow(g.x5Ial2,2) - 
  2*g.OIal2*g.al2Ix5*pow(g.x5Ial2,2) + 
  g.OIx1*g.al2Ix5*pow(g.x5Ial2,2) + 
  g.OIx2*g.al2Ix5*pow(g.x5Ial2,2) + 
  (g.OIx4*g.al2Ix5*pow(g.x5Ial2,2))/2. + 
  (pow(g.al2Ix5,2)*pow(g.x5Ial2,2))/4. + 
  (g.OIm1*pow(g.x5Ial2,3))/3. + (g.OIal1*pow(g.x5Ial2,3))/3. + 
  (4*g.OIal2*pow(g.x5Ial2,3))/3. - (g.OIx1*pow(g.x5Ial2,3))/3. - 
  (g.OIx2*pow(g.x5Ial2,3))/3. - (g.OIx4*pow(g.x5Ial2,3))/6. - 
  (g.al2Ix5*pow(g.x5Ial2,3))/6. + pow(g.x5Ial2,4)/24. + 
  (14*zeta3*g.x5Ix4)/3. + (pow(M_PI,2)*g.OIm1*g.x5Ix4)/3. - 
  (4*pow(g.OIm1,3)*g.x5Ix4)/3. + (pow(M_PI,2)*g.OIal1*g.x5Ix4)/3. - 
  4*pow(g.OIm1,2)*g.OIal1*g.x5Ix4 - 
  4*g.OIm1*pow(g.OIal1,2)*g.x5Ix4 - (4*pow(g.OIal1,3)*g.x5Ix4)/3. + 
  (pow(M_PI,2)*g.OIal2*g.x5Ix4)/6. - 2*pow(g.OIm1,2)*g.OIal2*g.x5Ix4 - 
  4*g.OIm1*g.OIal1*g.OIal2*g.x5Ix4 - 
  2*pow(g.OIal1,2)*g.OIal2*g.x5Ix4 - 
  g.OIm1*pow(g.OIal2,2)*g.x5Ix4 - g.OIal1*pow(g.OIal2,2)*g.x5Ix4 - 
  (pow(g.OIal2,3)*g.x5Ix4)/6. - (pow(M_PI,2)*g.OIx1*g.x5Ix4)/3. + 
  4*pow(g.OIm1,2)*g.OIx1*g.x5Ix4 + 8*g.OIm1*g.OIal1*g.OIx1*g.x5Ix4 + 
  4*pow(g.OIal1,2)*g.OIx1*g.x5Ix4 + 
  4*g.OIm1*g.OIal2*g.OIx1*g.x5Ix4 + 
  4*g.OIal1*g.OIal2*g.OIx1*g.x5Ix4 + pow(g.OIal2,2)*g.OIx1*g.x5Ix4 - 
  4*g.OIm1*pow(g.OIx1,2)*g.x5Ix4 - 
  4*g.OIal1*pow(g.OIx1,2)*g.x5Ix4 - 
  2*g.OIal2*pow(g.OIx1,2)*g.x5Ix4 + (4*pow(g.OIx1,3)*g.x5Ix4)/3. - 
  (pow(M_PI,2)*g.OIx2*g.x5Ix4)/3. + 4*pow(g.OIm1,2)*g.OIx2*g.x5Ix4 + 
  8*g.OIm1*g.OIal1*g.OIx2*g.x5Ix4 + 
  4*pow(g.OIal1,2)*g.OIx2*g.x5Ix4 + 
  4*g.OIm1*g.OIal2*g.OIx2*g.x5Ix4 + 
  4*g.OIal1*g.OIal2*g.OIx2*g.x5Ix4 + pow(g.OIal2,2)*g.OIx2*g.x5Ix4 - 
  8*g.OIm1*g.OIx1*g.OIx2*g.x5Ix4 - 8*g.OIal1*g.OIx1*g.OIx2*g.x5Ix4 - 
  4*g.OIal2*g.OIx1*g.OIx2*g.x5Ix4 + 4*pow(g.OIx1,2)*g.OIx2*g.x5Ix4 - 
  4*g.OIm1*pow(g.OIx2,2)*g.x5Ix4 - 
  4*g.OIal1*pow(g.OIx2,2)*g.x5Ix4 - 
  2*g.OIal2*pow(g.OIx2,2)*g.x5Ix4 + 
  4*g.OIx1*pow(g.OIx2,2)*g.x5Ix4 + (4*pow(g.OIx2,3)*g.x5Ix4)/3. - 
  (pow(M_PI,2)*g.al2Ix5*g.x5Ix4)/6. + 
  2*pow(g.OIm1,2)*g.al2Ix5*g.x5Ix4 + 
  4*g.OIm1*g.OIal1*g.al2Ix5*g.x5Ix4 + 
  2*pow(g.OIal1,2)*g.al2Ix5*g.x5Ix4 + 
  2*g.OIm1*g.OIal2*g.al2Ix5*g.x5Ix4 + 
  2*g.OIal1*g.OIal2*g.al2Ix5*g.x5Ix4 + 
  (pow(g.OIal2,2)*g.al2Ix5*g.x5Ix4)/2. - 
  4*g.OIm1*g.OIx1*g.al2Ix5*g.x5Ix4 - 
  4*g.OIal1*g.OIx1*g.al2Ix5*g.x5Ix4 - 
  2*g.OIal2*g.OIx1*g.al2Ix5*g.x5Ix4 + 
  2*pow(g.OIx1,2)*g.al2Ix5*g.x5Ix4 - 
  4*g.OIm1*g.OIx2*g.al2Ix5*g.x5Ix4 - 
  4*g.OIal1*g.OIx2*g.al2Ix5*g.x5Ix4 - 
  2*g.OIal2*g.OIx2*g.al2Ix5*g.x5Ix4 + 
  4*g.OIx1*g.OIx2*g.al2Ix5*g.x5Ix4 + 
  2*pow(g.OIx2,2)*g.al2Ix5*g.x5Ix4 - 
  g.OIm1*pow(g.al2Ix5,2)*g.x5Ix4 - 
  g.OIal1*pow(g.al2Ix5,2)*g.x5Ix4 - 
  (g.OIal2*pow(g.al2Ix5,2)*g.x5Ix4)/2. + 
  g.OIx1*pow(g.al2Ix5,2)*g.x5Ix4 + g.OIx2*pow(g.al2Ix5,2)*g.x5Ix4 + 
  (pow(g.al2Ix5,3)*g.x5Ix4)/6. + (pow(M_PI,2)*g.x5Ial2*g.x5Ix4)/6. - 
  2*pow(g.OIm1,2)*g.x5Ial2*g.x5Ix4 - 
  4*g.OIm1*g.OIal1*g.x5Ial2*g.x5Ix4 - 
  2*pow(g.OIal1,2)*g.x5Ial2*g.x5Ix4 - 
  4*g.OIm1*g.OIal2*g.x5Ial2*g.x5Ix4 - 
  4*g.OIal1*g.OIal2*g.x5Ial2*g.x5Ix4 - 
  2*pow(g.OIal2,2)*g.x5Ial2*g.x5Ix4 + 
  4*g.OIm1*g.OIx1*g.x5Ial2*g.x5Ix4 + 
  4*g.OIal1*g.OIx1*g.x5Ial2*g.x5Ix4 + 
  4*g.OIal2*g.OIx1*g.x5Ial2*g.x5Ix4 - 
  2*pow(g.OIx1,2)*g.x5Ial2*g.x5Ix4 + 
  4*g.OIm1*g.OIx2*g.x5Ial2*g.x5Ix4 + 
  4*g.OIal1*g.OIx2*g.x5Ial2*g.x5Ix4 + 
  4*g.OIal2*g.OIx2*g.x5Ial2*g.x5Ix4 - 
  4*g.OIx1*g.OIx2*g.x5Ial2*g.x5Ix4 - 
  2*pow(g.OIx2,2)*g.x5Ial2*g.x5Ix4 + 
  2*g.OIm1*g.al2Ix5*g.x5Ial2*g.x5Ix4 + 
  2*g.OIal1*g.al2Ix5*g.x5Ial2*g.x5Ix4 + 
  2*g.OIal2*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  2*g.OIx1*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  2*g.OIx2*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  (pow(g.al2Ix5,2)*g.x5Ial2*g.x5Ix4)/2. - 
  g.OIm1*pow(g.x5Ial2,2)*g.x5Ix4 - 
  g.OIal1*pow(g.x5Ial2,2)*g.x5Ix4 - 
  2*g.OIal2*pow(g.x5Ial2,2)*g.x5Ix4 + 
  g.OIx1*pow(g.x5Ial2,2)*g.x5Ix4 + g.OIx2*pow(g.x5Ial2,2)*g.x5Ix4 + 
  (g.al2Ix5*pow(g.x5Ial2,2)*g.x5Ix4)/2. - 
  (pow(g.x5Ial2,3)*g.x5Ix4)/6. - (pow(M_PI,2)*pow(g.x5Ix4,2))/12. + 
  pow(g.OIm1,2)*pow(g.x5Ix4,2) + 2*g.OIm1*g.OIal1*pow(g.x5Ix4,2) + 
  pow(g.OIal1,2)*pow(g.x5Ix4,2) + g.OIm1*g.OIal2*pow(g.x5Ix4,2) + 
  g.OIal1*g.OIal2*pow(g.x5Ix4,2) + 
  (pow(g.OIal2,2)*pow(g.x5Ix4,2))/4. - 
  2*g.OIm1*g.OIx1*pow(g.x5Ix4,2) - 
  2*g.OIal1*g.OIx1*pow(g.x5Ix4,2) - g.OIal2*g.OIx1*pow(g.x5Ix4,2) + 
  pow(g.OIx1,2)*pow(g.x5Ix4,2) - 2*g.OIm1*g.OIx2*pow(g.x5Ix4,2) - 
  2*g.OIal1*g.OIx2*pow(g.x5Ix4,2) - g.OIal2*g.OIx2*pow(g.x5Ix4,2) + 
  2*g.OIx1*g.OIx2*pow(g.x5Ix4,2) + pow(g.OIx2,2)*pow(g.x5Ix4,2) - 
  g.OIm1*g.al2Ix5*pow(g.x5Ix4,2) - 
  g.OIal1*g.al2Ix5*pow(g.x5Ix4,2) - 
  (g.OIal2*g.al2Ix5*pow(g.x5Ix4,2))/2. + 
  g.OIx1*g.al2Ix5*pow(g.x5Ix4,2) + g.OIx2*g.al2Ix5*pow(g.x5Ix4,2) + 
  (pow(g.al2Ix5,2)*pow(g.x5Ix4,2))/4. + 
  g.OIm1*g.x5Ial2*pow(g.x5Ix4,2) + 
  g.OIal1*g.x5Ial2*pow(g.x5Ix4,2) + 
  g.OIal2*g.x5Ial2*pow(g.x5Ix4,2) - 
  g.OIx1*g.x5Ial2*pow(g.x5Ix4,2) - g.OIx2*g.x5Ial2*pow(g.x5Ix4,2) - 
  (g.al2Ix5*g.x5Ial2*pow(g.x5Ix4,2))/2. + 
  (pow(g.x5Ial2,2)*pow(g.x5Ix4,2))/4. - 
  (g.OIm1*pow(g.x5Ix4,3))/3. - (g.OIal1*pow(g.x5Ix4,3))/3. - 
  (g.OIal2*pow(g.x5Ix4,3))/6. + (g.OIx1*pow(g.x5Ix4,3))/3. + 
  (g.OIx2*pow(g.x5Ix4,3))/3. + (g.al2Ix5*pow(g.x5Ix4,3))/6. - 
  (g.x5Ial2*pow(g.x5Ix4,3))/6. + pow(g.x5Ix4,4)/24. + 
  (pow(M_PI,2)*g.OIx5Ial2)/6. - 2*pow(g.OIm1,2)*g.OIx5Ial2 - 
  4*g.OIm1*g.OIal1*g.OIx5Ial2 - 2*pow(g.OIal1,2)*g.OIx5Ial2 - 
  4*g.OIm1*g.OIal2*g.OIx5Ial2 - 4*g.OIal1*g.OIal2*g.OIx5Ial2 - 
  2*pow(g.OIal2,2)*g.OIx5Ial2 + 4*g.OIm1*g.OIx1*g.OIx5Ial2 + 
  4*g.OIal1*g.OIx1*g.OIx5Ial2 + 4*g.OIal2*g.OIx1*g.OIx5Ial2 - 
  2*pow(g.OIx1,2)*g.OIx5Ial2 + 4*g.OIm1*g.OIx2*g.OIx5Ial2 + 
  4*g.OIal1*g.OIx2*g.OIx5Ial2 + 4*g.OIal2*g.OIx2*g.OIx5Ial2 - 
  4*g.OIx1*g.OIx2*g.OIx5Ial2 - 2*pow(g.OIx2,2)*g.OIx5Ial2 + 
  2*g.OIm1*g.OIx4*g.OIx5Ial2 + 2*g.OIal1*g.OIx4*g.OIx5Ial2 + 
  2*g.OIal2*g.OIx4*g.OIx5Ial2 - 2*g.OIx1*g.OIx4*g.OIx5Ial2 - 
  2*g.OIx2*g.OIx4*g.OIx5Ial2 - (pow(g.OIx4,2)*g.OIx5Ial2)/2. + 
  2*g.OIm1*g.al2Ix5*g.OIx5Ial2 + 2*g.OIal1*g.al2Ix5*g.OIx5Ial2 + 
  2*g.OIal2*g.al2Ix5*g.OIx5Ial2 - 2*g.OIx1*g.al2Ix5*g.OIx5Ial2 - 
  2*g.OIx2*g.al2Ix5*g.OIx5Ial2 - g.OIx4*g.al2Ix5*g.OIx5Ial2 - 
  (pow(g.al2Ix5,2)*g.OIx5Ial2)/2. - 4*g.OIm1*g.x5Ial2*g.OIx5Ial2 - 
  4*g.OIal1*g.x5Ial2*g.OIx5Ial2 - 6*g.OIal2*g.x5Ial2*g.OIx5Ial2 + 
  4*g.OIx1*g.x5Ial2*g.OIx5Ial2 + 4*g.OIx2*g.x5Ial2*g.OIx5Ial2 + 
  2*g.OIx4*g.x5Ial2*g.OIx5Ial2 + 2*g.al2Ix5*g.x5Ial2*g.OIx5Ial2 - 
  2*pow(g.x5Ial2,2)*g.OIx5Ial2 + 2*g.OIm1*g.x5Ix4*g.OIx5Ial2 + 
  2*g.OIal1*g.x5Ix4*g.OIx5Ial2 + 2*g.OIal2*g.x5Ix4*g.OIx5Ial2 - 
  2*g.OIx1*g.x5Ix4*g.OIx5Ial2 - 2*g.OIx2*g.x5Ix4*g.OIx5Ial2 - 
  g.al2Ix5*g.x5Ix4*g.OIx5Ial2 + 2*g.x5Ial2*g.x5Ix4*g.OIx5Ial2 - 
  (pow(g.x5Ix4,2)*g.OIx5Ial2)/2. + pow(g.OIx5Ial2,2) - 
  (pow(M_PI,2)*g.OIx5Ix4)/6. + 2*pow(g.OIm1,2)*g.OIx5Ix4 + 
  4*g.OIm1*g.OIal1*g.OIx5Ix4 + 2*pow(g.OIal1,2)*g.OIx5Ix4 + 
  2*g.OIm1*g.OIal2*g.OIx5Ix4 + 2*g.OIal1*g.OIal2*g.OIx5Ix4 + 
  (pow(g.OIal2,2)*g.OIx5Ix4)/2. - 4*g.OIm1*g.OIx1*g.OIx5Ix4 - 
  4*g.OIal1*g.OIx1*g.OIx5Ix4 - 2*g.OIal2*g.OIx1*g.OIx5Ix4 + 
  2*pow(g.OIx1,2)*g.OIx5Ix4 - 4*g.OIm1*g.OIx2*g.OIx5Ix4 - 
  4*g.OIal1*g.OIx2*g.OIx5Ix4 - 2*g.OIal2*g.OIx2*g.OIx5Ix4 + 
  4*g.OIx1*g.OIx2*g.OIx5Ix4 + 2*pow(g.OIx2,2)*g.OIx5Ix4 - 
  2*g.OIm1*g.al2Ix5*g.OIx5Ix4 - 2*g.OIal1*g.al2Ix5*g.OIx5Ix4 - 
  g.OIal2*g.al2Ix5*g.OIx5Ix4 + 2*g.OIx1*g.al2Ix5*g.OIx5Ix4 + 
  2*g.OIx2*g.al2Ix5*g.OIx5Ix4 + (pow(g.al2Ix5,2)*g.OIx5Ix4)/2. + 
  2*g.OIm1*g.x5Ial2*g.OIx5Ix4 + 2*g.OIal1*g.x5Ial2*g.OIx5Ix4 + 
  2*g.OIal2*g.x5Ial2*g.OIx5Ix4 - 2*g.OIx1*g.x5Ial2*g.OIx5Ix4 - 
  2*g.OIx2*g.x5Ial2*g.OIx5Ix4 - g.al2Ix5*g.x5Ial2*g.OIx5Ix4 + 
  (pow(g.x5Ial2,2)*g.OIx5Ix4)/2. - g.OIx5Ial2*g.OIx5Ix4 + 
  (pow(M_PI,2)*g.x5I0Ial2)/6. - 2*pow(g.OIm1,2)*g.x5I0Ial2 - 
  4*g.OIm1*g.OIal1*g.x5I0Ial2 - 2*pow(g.OIal1,2)*g.x5I0Ial2 - 
  4*g.OIm1*g.OIal2*g.x5I0Ial2 - 4*g.OIal1*g.OIal2*g.x5I0Ial2 - 
  2*pow(g.OIal2,2)*g.x5I0Ial2 + 4*g.OIm1*g.OIx1*g.x5I0Ial2 + 
  4*g.OIal1*g.OIx1*g.x5I0Ial2 + 4*g.OIal2*g.OIx1*g.x5I0Ial2 - 
  2*pow(g.OIx1,2)*g.x5I0Ial2 + 4*g.OIm1*g.OIx2*g.x5I0Ial2 + 
  4*g.OIal1*g.OIx2*g.x5I0Ial2 + 4*g.OIal2*g.OIx2*g.x5I0Ial2 - 
  4*g.OIx1*g.OIx2*g.x5I0Ial2 - 2*pow(g.OIx2,2)*g.x5I0Ial2 + 
  2*g.OIm1*g.OIx4*g.x5I0Ial2 + 2*g.OIal1*g.OIx4*g.x5I0Ial2 + 
  2*g.OIal2*g.OIx4*g.x5I0Ial2 - 2*g.OIx1*g.OIx4*g.x5I0Ial2 - 
  2*g.OIx2*g.OIx4*g.x5I0Ial2 - (pow(g.OIx4,2)*g.x5I0Ial2)/2. + 
  2*g.OIm1*g.al2Ix5*g.x5I0Ial2 + 2*g.OIal1*g.al2Ix5*g.x5I0Ial2 + 
  2*g.OIal2*g.al2Ix5*g.x5I0Ial2 - 2*g.OIx1*g.al2Ix5*g.x5I0Ial2 - 
  2*g.OIx2*g.al2Ix5*g.x5I0Ial2 - g.OIx4*g.al2Ix5*g.x5I0Ial2 - 
  (pow(g.al2Ix5,2)*g.x5I0Ial2)/2. - 4*g.OIm1*g.x5Ial2*g.x5I0Ial2 - 
  4*g.OIal1*g.x5Ial2*g.x5I0Ial2 - 6*g.OIal2*g.x5Ial2*g.x5I0Ial2 + 
  4*g.OIx1*g.x5Ial2*g.x5I0Ial2 + 4*g.OIx2*g.x5Ial2*g.x5I0Ial2 + 
  2*g.OIx4*g.x5Ial2*g.x5I0Ial2 + 2*g.al2Ix5*g.x5Ial2*g.x5I0Ial2 - 
  2*pow(g.x5Ial2,2)*g.x5I0Ial2 + 2*g.OIm1*g.x5Ix4*g.x5I0Ial2 + 
  2*g.OIal1*g.x5Ix4*g.x5I0Ial2 + 2*g.OIal2*g.x5Ix4*g.x5I0Ial2 - 
  2*g.OIx1*g.x5Ix4*g.x5I0Ial2 - 2*g.OIx2*g.x5Ix4*g.x5I0Ial2 - 
  g.al2Ix5*g.x5Ix4*g.x5I0Ial2 + 2*g.x5Ial2*g.x5Ix4*g.x5I0Ial2 - 
  (pow(g.x5Ix4,2)*g.x5I0Ial2)/2. + 2*g.OIx5Ial2*g.x5I0Ial2 - 
  g.OIx5Ix4*g.x5I0Ial2 + pow(g.x5I0Ial2,2) - 
  (pow(M_PI,2)*g.x5I0Ix4)/6. + 2*pow(g.OIm1,2)*g.x5I0Ix4 + 
  4*g.OIm1*g.OIal1*g.x5I0Ix4 + 2*pow(g.OIal1,2)*g.x5I0Ix4 + 
  2*g.OIm1*g.OIal2*g.x5I0Ix4 + 2*g.OIal1*g.OIal2*g.x5I0Ix4 + 
  (pow(g.OIal2,2)*g.x5I0Ix4)/2. - 4*g.OIm1*g.OIx1*g.x5I0Ix4 - 
  4*g.OIal1*g.OIx1*g.x5I0Ix4 - 2*g.OIal2*g.OIx1*g.x5I0Ix4 + 
  2*pow(g.OIx1,2)*g.x5I0Ix4 - 4*g.OIm1*g.OIx2*g.x5I0Ix4 - 
  4*g.OIal1*g.OIx2*g.x5I0Ix4 - 2*g.OIal2*g.OIx2*g.x5I0Ix4 + 
  4*g.OIx1*g.OIx2*g.x5I0Ix4 + 2*pow(g.OIx2,2)*g.x5I0Ix4 - 
  2*g.OIm1*g.al2Ix5*g.x5I0Ix4 - 2*g.OIal1*g.al2Ix5*g.x5I0Ix4 - 
  g.OIal2*g.al2Ix5*g.x5I0Ix4 + 2*g.OIx1*g.al2Ix5*g.x5I0Ix4 + 
  2*g.OIx2*g.al2Ix5*g.x5I0Ix4 + (pow(g.al2Ix5,2)*g.x5I0Ix4)/2. + 
  2*g.OIm1*g.x5Ial2*g.x5I0Ix4 + 2*g.OIal1*g.x5Ial2*g.x5I0Ix4 + 
  2*g.OIal2*g.x5Ial2*g.x5I0Ix4 - 2*g.OIx1*g.x5Ial2*g.x5I0Ix4 - 
  2*g.OIx2*g.x5Ial2*g.x5I0Ix4 - g.al2Ix5*g.x5Ial2*g.x5I0Ix4 + 
  (pow(g.x5Ial2,2)*g.x5I0Ix4)/2. - g.OIx5Ial2*g.x5I0Ix4 - 
  g.x5I0Ial2*g.x5I0Ix4 + 2*g.OIm1*g.OI0Ix5Ial2 + 
  2*g.OIal1*g.OI0Ix5Ial2 + 2*g.OIal2*g.OI0Ix5Ial2 - 
  2*g.OIx1*g.OI0Ix5Ial2 - 2*g.OIx2*g.OI0Ix5Ial2 - g.OIx4*g.OI0Ix5Ial2 - 
  g.al2Ix5*g.OI0Ix5Ial2 + 2*g.x5Ial2*g.OI0Ix5Ial2 - 
  g.x5Ix4*g.OI0Ix5Ial2 - 2*g.OIm1*g.OI0Ix5Ix4 - 2*g.OIal1*g.OI0Ix5Ix4 - 
  g.OIal2*g.OI0Ix5Ix4 + 2*g.OIx1*g.OI0Ix5Ix4 + 2*g.OIx2*g.OI0Ix5Ix4 + 
  g.al2Ix5*g.OI0Ix5Ix4 - g.x5Ial2*g.OI0Ix5Ix4 + 2*g.OIm1*g.OIx5I0Ial2 + 
  2*g.OIal1*g.OIx5I0Ial2 + 2*g.OIal2*g.OIx5I0Ial2 - 
  2*g.OIx1*g.OIx5I0Ial2 - 2*g.OIx2*g.OIx5I0Ial2 - g.OIx4*g.OIx5I0Ial2 - 
  g.al2Ix5*g.OIx5I0Ial2 + 2*g.x5Ial2*g.OIx5I0Ial2 - 
  g.x5Ix4*g.OIx5I0Ial2 - 2*g.OIm1*g.OIx5I0Ix4 - 2*g.OIal1*g.OIx5I0Ix4 - 
  g.OIal2*g.OIx5I0Ix4 + 2*g.OIx1*g.OIx5I0Ix4 + 2*g.OIx2*g.OIx5I0Ix4 + 
  g.al2Ix5*g.OIx5I0Ix4 - g.x5Ial2*g.OIx5I0Ix4 + 
  2*g.OIm1*g.OIx5Ix5Ial2 + 2*g.OIal1*g.OIx5Ix5Ial2 + 
  2*g.OIal2*g.OIx5Ix5Ial2 - 2*g.OIx1*g.OIx5Ix5Ial2 - 
  2*g.OIx2*g.OIx5Ix5Ial2 - g.OIx4*g.OIx5Ix5Ial2 - 
  g.al2Ix5*g.OIx5Ix5Ial2 + 2*g.x5Ial2*g.OIx5Ix5Ial2 - 
  g.x5Ix4*g.OIx5Ix5Ial2 - 2*g.OIm1*g.OIx5Ix5Ix4 - 
  2*g.OIal1*g.OIx5Ix5Ix4 - g.OIal2*g.OIx5Ix5Ix4 + 
  2*g.OIx1*g.OIx5Ix5Ix4 + 2*g.OIx2*g.OIx5Ix5Ix4 + 
  g.al2Ix5*g.OIx5Ix5Ix4 - g.x5Ial2*g.OIx5Ix5Ix4 + 
  2*g.OIm1*g.x5I0I0Ial2 + 2*g.OIal1*g.x5I0I0Ial2 + 
  2*g.OIal2*g.x5I0I0Ial2 - 2*g.OIx1*g.x5I0I0Ial2 - 
  2*g.OIx2*g.x5I0I0Ial2 - g.OIx4*g.x5I0I0Ial2 - g.al2Ix5*g.x5I0I0Ial2 + 
  2*g.x5Ial2*g.x5I0I0Ial2 - g.x5Ix4*g.x5I0I0Ial2 - 
  2*g.OIm1*g.x5I0I0Ix4 - 2*g.OIal1*g.x5I0I0Ix4 - g.OIal2*g.x5I0I0Ix4 + 
  2*g.OIx1*g.x5I0I0Ix4 + 2*g.OIx2*g.x5I0I0Ix4 + g.al2Ix5*g.x5I0I0Ix4 - 
  g.x5Ial2*g.x5I0I0Ix4 + 2*g.OIm1*g.x5I0Ix5Ial2 + 
  2*g.OIal1*g.x5I0Ix5Ial2 + 2*g.OIal2*g.x5I0Ix5Ial2 - 
  2*g.OIx1*g.x5I0Ix5Ial2 - 2*g.OIx2*g.x5I0Ix5Ial2 - 
  g.OIx4*g.x5I0Ix5Ial2 - g.al2Ix5*g.x5I0Ix5Ial2 + 
  2*g.x5Ial2*g.x5I0Ix5Ial2 - g.x5Ix4*g.x5I0Ix5Ial2 - 
  2*g.OIm1*g.x5I0Ix5Ix4 - 2*g.OIal1*g.x5I0Ix5Ix4 - 
  g.OIal2*g.x5I0Ix5Ix4 + 2*g.OIx1*g.x5I0Ix5Ix4 + 
  2*g.OIx2*g.x5I0Ix5Ix4 + g.al2Ix5*g.x5I0Ix5Ix4 - 
  g.x5Ial2*g.x5I0Ix5Ix4 + 2*g.OIm1*g.x5Ix5I0Ial2 + 
  2*g.OIal1*g.x5Ix5I0Ial2 + 2*g.OIal2*g.x5Ix5I0Ial2 - 
  2*g.OIx1*g.x5Ix5I0Ial2 - 2*g.OIx2*g.x5Ix5I0Ial2 - 
  g.OIx4*g.x5Ix5I0Ial2 - g.al2Ix5*g.x5Ix5I0Ial2 + 
  2*g.x5Ial2*g.x5Ix5I0Ial2 - g.x5Ix4*g.x5Ix5I0Ial2 - 
  2*g.OIm1*g.x5Ix5I0Ix4 - 2*g.OIal1*g.x5Ix5I0Ix4 - 
  g.OIal2*g.x5Ix5I0Ix4 + 2*g.OIx1*g.x5Ix5I0Ix4 + 
  2*g.OIx2*g.x5Ix5I0Ix4 + g.al2Ix5*g.x5Ix5I0Ix4 - 
  g.x5Ial2*g.x5Ix5I0Ix4 - g.OI0I0Ix5Ial2 + g.OI0I0Ix5Ix4 - 
  g.OI0Ix5I0Ial2 + g.OI0Ix5I0Ix4 - g.OI0Ix5Ix5Ial2 + g.OI0Ix5Ix5Ix4 - 
  g.OIx5I0I0Ial2 + g.OIx5I0I0Ix4 - g.OIx5I0Ix5Ial2 + g.OIx5I0Ix5Ix4 - 
  g.OIx5Ix5I0Ial2 + g.OIx5Ix5I0Ix4 - g.OIx5Ix5Ix5Ial2 + g.OIx5Ix5Ix5Ix4 - 
  g.x5I0I0I0Ial2 + g.x5I0I0I0Ix4 - g.x5I0I0Ix5Ial2 + g.x5I0I0Ix5Ix4 - 
  g.x5I0Ix5I0Ial2 + g.x5I0Ix5I0Ix4 - g.x5I0Ix5Ix5Ial2 + g.x5I0Ix5Ix5Ix4 - 
  g.x5Ix5I0I0Ial2 + g.x5Ix5I0I0Ix4 - g.x5Ix5I0Ix5Ial2 + g.x5Ix5I0Ix5Ix4 - 
  g.x5Ix5Ix5I0Ial2 + g.x5Ix5Ix5I0Ix4
;
 

std::vector<GiNaC::ex>integr11;

integr11.push_back(integre0);
integr11.push_back(integre1);
integr11.push_back(integre2);
integr11.push_back(integre3);
integr11.push_back(integre4);

return integr11;
}
