
#include "../header.h"
#include "../struct-myGHPL.h"
std::vector<GiNaC::ex>  integral2( myGHPLs  & g) {
      using namespace GiNaC;

     #include "../boundary.h"
     ex zeta3=1.2020569031595942;
     ex d37s3 = 9.03301789873836469269;
     ex d38s3 = 22.0377098912592295221202221000567;

     ex integre0 =  -1;
     ex integre1 =  
  -2*g.OIm1 + 2*g.OIx1 + 2*g.OIx3 + 2*g.uIx5
;
     ex integre2 =    
pow(M_PI,2)/6. - 2*pow(g.OIm1,2) + 4*g.OIm1*g.OIx1 - 
  2*pow(g.OIx1,2) + 4*g.OIm1*g.OIx3 - 4*g.OIx1*g.OIx3 - 
  2*pow(g.OIx3,2) + 4*g.OIm1*g.uIx5 - 4*g.OIx1*g.uIx5 - 
  4*g.OIx3*g.uIx5 - 2*pow(g.uIx5,2)
;
     ex integre3 =    
(32*zeta3)/3. + (pow(M_PI,2)*g.OIm1)/3. - (4*pow(g.OIm1,3))/3. - 
  (pow(M_PI,2)*g.OIx1)/3. + 4*pow(g.OIm1,2)*g.OIx1 - 
  4*g.OIm1*pow(g.OIx1,2) + (4*pow(g.OIx1,3))/3. - 
  (pow(M_PI,2)*g.OIx3)/3. + 4*pow(g.OIm1,2)*g.OIx3 - 
  8*g.OIm1*g.OIx1*g.OIx3 + 4*pow(g.OIx1,2)*g.OIx3 - 
  4*g.OIm1*pow(g.OIx3,2) + 4*g.OIx1*pow(g.OIx3,2) + 
  (4*pow(g.OIx3,3))/3. - (pow(M_PI,2)*g.uIx5)/3. + 
  4*pow(g.OIm1,2)*g.uIx5 - 8*g.OIm1*g.OIx1*g.uIx5 + 
  4*pow(g.OIx1,2)*g.uIx5 - 8*g.OIm1*g.OIx3*g.uIx5 + 
  8*g.OIx1*g.OIx3*g.uIx5 + 4*pow(g.OIx3,2)*g.uIx5 - 
  4*g.OIm1*pow(g.uIx5,2) + 4*g.OIx1*pow(g.uIx5,2) + 
  4*g.OIx3*pow(g.uIx5,2) + (4*pow(g.uIx5,3))/3.
;
     ex integre4 =   
 bc4i2 + (64*zeta3*g.OIm1)/3. + (pow(M_PI,2)*pow(g.OIm1,2))/3. - 
  (2*pow(g.OIm1,4))/3. - (64*zeta3*g.OIx1)/3. - 
  (2*pow(M_PI,2)*g.OIm1*g.OIx1)/3. + (8*pow(g.OIm1,3)*g.OIx1)/3. + 
  (pow(M_PI,2)*pow(g.OIx1,2))/3. - 4*pow(g.OIm1,2)*pow(g.OIx1,2) + 
  (8*g.OIm1*pow(g.OIx1,3))/3. - (2*pow(g.OIx1,4))/3. - 
  (64*zeta3*g.OIx3)/3. - (2*pow(M_PI,2)*g.OIm1*g.OIx3)/3. + 
  (8*pow(g.OIm1,3)*g.OIx3)/3. + (2*pow(M_PI,2)*g.OIx1*g.OIx3)/3. - 
  8*pow(g.OIm1,2)*g.OIx1*g.OIx3 + 8*g.OIm1*pow(g.OIx1,2)*g.OIx3 - 
  (8*pow(g.OIx1,3)*g.OIx3)/3. + (pow(M_PI,2)*pow(g.OIx3,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.OIx3,2) + 8*g.OIm1*g.OIx1*pow(g.OIx3,2) - 
  4*pow(g.OIx1,2)*pow(g.OIx3,2) + (8*g.OIm1*pow(g.OIx3,3))/3. - 
  (8*g.OIx1*pow(g.OIx3,3))/3. - (2*pow(g.OIx3,4))/3. - 
  (64*zeta3*g.uIx5)/3. - (2*pow(M_PI,2)*g.OIm1*g.uIx5)/3. + 
  (8*pow(g.OIm1,3)*g.uIx5)/3. + (2*pow(M_PI,2)*g.OIx1*g.uIx5)/3. - 
  8*pow(g.OIm1,2)*g.OIx1*g.uIx5 + 8*g.OIm1*pow(g.OIx1,2)*g.uIx5 - 
  (8*pow(g.OIx1,3)*g.uIx5)/3. + (2*pow(M_PI,2)*g.OIx3*g.uIx5)/3. - 
  8*pow(g.OIm1,2)*g.OIx3*g.uIx5 + 16*g.OIm1*g.OIx1*g.OIx3*g.uIx5 - 
  8*pow(g.OIx1,2)*g.OIx3*g.uIx5 + 8*g.OIm1*pow(g.OIx3,2)*g.uIx5 - 
  8*g.OIx1*pow(g.OIx3,2)*g.uIx5 - (8*pow(g.OIx3,3)*g.uIx5)/3. + 
  (pow(M_PI,2)*pow(g.uIx5,2))/3. - 4*pow(g.OIm1,2)*pow(g.uIx5,2) + 
  8*g.OIm1*g.OIx1*pow(g.uIx5,2) - 4*pow(g.OIx1,2)*pow(g.uIx5,2) + 
  8*g.OIm1*g.OIx3*pow(g.uIx5,2) - 8*g.OIx1*g.OIx3*pow(g.uIx5,2) - 
  4*pow(g.OIx3,2)*pow(g.uIx5,2) + (8*g.OIm1*pow(g.uIx5,3))/3. - 
  (8*g.OIx1*pow(g.uIx5,3))/3. - (8*g.OIx3*pow(g.uIx5,3))/3. - 
  (2*pow(g.uIx5,4))/3.
;
 

std::vector<GiNaC::ex>integr2;

integr2.push_back(integre0);
integr2.push_back(integre1);
integr2.push_back(integre2);
integr2.push_back(integre3);
integr2.push_back(integre4);

return integr2;
}
