
#include "../header.h"
#include "../struct-myGHPL.h"
std::vector<GiNaC::ex>  integral10( myGHPLs  & g) {
      using namespace GiNaC;

     #include "../boundary.h"
     ex zeta3=1.2020569031595942;
     ex d37s3 = 9.03301789873836469269;
     ex d38s3 = 22.0377098912592295221202221000567;

     ex integre0 =  0.25;
     ex integre1 =  
  g.OIm1/2. + g.OIal1/2. - g.OIx1/2. - g.OIx2/2. - g.al2Ix5/2. + 
  g.x5Ial2/2. - g.x5Ix4/2.
;
     ex integre2 =    
pow(M_PI,2)/24. + pow(g.OIm1,2)/2. + g.OIm1*g.OIal1 + 
  pow(g.OIal1,2)/2. - g.OIm1*g.OIx1 - g.OIal1*g.OIx1 + 
  pow(g.OIx1,2)/2. - g.OIm1*g.OIx2 - g.OIal1*g.OIx2 + 
  g.OIx1*g.OIx2 + pow(g.OIx2,2)/2. - g.OIm1*g.al2Ix5 - 
  g.OIal1*g.al2Ix5 + g.OIx1*g.al2Ix5 + g.OIx2*g.al2Ix5 + 
  pow(g.al2Ix5,2)/2. + g.OIm1*g.x5Ial2 + g.OIal1*g.x5Ial2 - 
  g.OIx1*g.x5Ial2 - g.OIx2*g.x5Ial2 - g.al2Ix5*g.x5Ial2 + 
  pow(g.x5Ial2,2)/2. - g.OIm1*g.x5Ix4 - g.OIal1*g.x5Ix4 + 
  g.OIx1*g.x5Ix4 + g.OIx2*g.x5Ix4 + g.al2Ix5*g.x5Ix4 - 
  g.x5Ial2*g.x5Ix4 + pow(g.x5Ix4,2)/2.
;
     ex integre3 =    
(-13*zeta3)/6. + (pow(M_PI,2)*g.OIm1)/12. + pow(g.OIm1,3)/3. + 
  (pow(M_PI,2)*g.OIal1)/12. + pow(g.OIm1,2)*g.OIal1 + 
  g.OIm1*pow(g.OIal1,2) + pow(g.OIal1,3)/3. - 
  (pow(M_PI,2)*g.OIx1)/12. - pow(g.OIm1,2)*g.OIx1 - 
  2*g.OIm1*g.OIal1*g.OIx1 - pow(g.OIal1,2)*g.OIx1 + 
  g.OIm1*pow(g.OIx1,2) + g.OIal1*pow(g.OIx1,2) - 
  pow(g.OIx1,3)/3. - (pow(M_PI,2)*g.OIx2)/12. - 
  pow(g.OIm1,2)*g.OIx2 - 2*g.OIm1*g.OIal1*g.OIx2 - 
  pow(g.OIal1,2)*g.OIx2 + 2*g.OIm1*g.OIx1*g.OIx2 + 
  2*g.OIal1*g.OIx1*g.OIx2 - pow(g.OIx1,2)*g.OIx2 + 
  g.OIm1*pow(g.OIx2,2) + g.OIal1*pow(g.OIx2,2) - 
  g.OIx1*pow(g.OIx2,2) - pow(g.OIx2,3)/3. - 
  (pow(M_PI,2)*g.al2Ix5)/12. - pow(g.OIm1,2)*g.al2Ix5 - 
  2*g.OIm1*g.OIal1*g.al2Ix5 - pow(g.OIal1,2)*g.al2Ix5 + 
  2*g.OIm1*g.OIx1*g.al2Ix5 + 2*g.OIal1*g.OIx1*g.al2Ix5 - 
  pow(g.OIx1,2)*g.al2Ix5 + 2*g.OIm1*g.OIx2*g.al2Ix5 + 
  2*g.OIal1*g.OIx2*g.al2Ix5 - 2*g.OIx1*g.OIx2*g.al2Ix5 - 
  pow(g.OIx2,2)*g.al2Ix5 + g.OIm1*pow(g.al2Ix5,2) + 
  g.OIal1*pow(g.al2Ix5,2) - g.OIx1*pow(g.al2Ix5,2) - 
  g.OIx2*pow(g.al2Ix5,2) - pow(g.al2Ix5,3)/3. + 
  (pow(M_PI,2)*g.x5Ial2)/12. + pow(g.OIm1,2)*g.x5Ial2 + 
  2*g.OIm1*g.OIal1*g.x5Ial2 + pow(g.OIal1,2)*g.x5Ial2 - 
  2*g.OIm1*g.OIx1*g.x5Ial2 - 2*g.OIal1*g.OIx1*g.x5Ial2 + 
  pow(g.OIx1,2)*g.x5Ial2 - 2*g.OIm1*g.OIx2*g.x5Ial2 - 
  2*g.OIal1*g.OIx2*g.x5Ial2 + 2*g.OIx1*g.OIx2*g.x5Ial2 + 
  pow(g.OIx2,2)*g.x5Ial2 - 2*g.OIm1*g.al2Ix5*g.x5Ial2 - 
  2*g.OIal1*g.al2Ix5*g.x5Ial2 + 2*g.OIx1*g.al2Ix5*g.x5Ial2 + 
  2*g.OIx2*g.al2Ix5*g.x5Ial2 + pow(g.al2Ix5,2)*g.x5Ial2 + 
  g.OIm1*pow(g.x5Ial2,2) + g.OIal1*pow(g.x5Ial2,2) - 
  g.OIx1*pow(g.x5Ial2,2) - g.OIx2*pow(g.x5Ial2,2) - 
  g.al2Ix5*pow(g.x5Ial2,2) + pow(g.x5Ial2,3)/3. - 
  (pow(M_PI,2)*g.x5Ix4)/12. - pow(g.OIm1,2)*g.x5Ix4 - 
  2*g.OIm1*g.OIal1*g.x5Ix4 - pow(g.OIal1,2)*g.x5Ix4 + 
  2*g.OIm1*g.OIx1*g.x5Ix4 + 2*g.OIal1*g.OIx1*g.x5Ix4 - 
  pow(g.OIx1,2)*g.x5Ix4 + 2*g.OIm1*g.OIx2*g.x5Ix4 + 
  2*g.OIal1*g.OIx2*g.x5Ix4 - 2*g.OIx1*g.OIx2*g.x5Ix4 - 
  pow(g.OIx2,2)*g.x5Ix4 + 2*g.OIm1*g.al2Ix5*g.x5Ix4 + 
  2*g.OIal1*g.al2Ix5*g.x5Ix4 - 2*g.OIx1*g.al2Ix5*g.x5Ix4 - 
  2*g.OIx2*g.al2Ix5*g.x5Ix4 - pow(g.al2Ix5,2)*g.x5Ix4 - 
  2*g.OIm1*g.x5Ial2*g.x5Ix4 - 2*g.OIal1*g.x5Ial2*g.x5Ix4 + 
  2*g.OIx1*g.x5Ial2*g.x5Ix4 + 2*g.OIx2*g.x5Ial2*g.x5Ix4 + 
  2*g.al2Ix5*g.x5Ial2*g.x5Ix4 - pow(g.x5Ial2,2)*g.x5Ix4 + 
  g.OIm1*pow(g.x5Ix4,2) + g.OIal1*pow(g.x5Ix4,2) - 
  g.OIx1*pow(g.x5Ix4,2) - g.OIx2*pow(g.x5Ix4,2) - 
  g.al2Ix5*pow(g.x5Ix4,2) + g.x5Ial2*pow(g.x5Ix4,2) - 
  pow(g.x5Ix4,3)/3.
;
     ex integre4 =   
 bc4i10 - (13*zeta3*g.OIm1)/3. + (pow(M_PI,2)*pow(g.OIm1,2))/12. + 
  pow(g.OIm1,4)/6. - (13*zeta3*g.OIal1)/3. + 
  (pow(M_PI,2)*g.OIm1*g.OIal1)/6. + (2*pow(g.OIm1,3)*g.OIal1)/3. + 
  (pow(M_PI,2)*pow(g.OIal1,2))/12. + pow(g.OIm1,2)*pow(g.OIal1,2) + 
  (2*g.OIm1*pow(g.OIal1,3))/3. + pow(g.OIal1,4)/6. + 
  (13*zeta3*g.OIx1)/3. - (pow(M_PI,2)*g.OIm1*g.OIx1)/6. - 
  (2*pow(g.OIm1,3)*g.OIx1)/3. - (pow(M_PI,2)*g.OIal1*g.OIx1)/6. - 
  2*pow(g.OIm1,2)*g.OIal1*g.OIx1 - 2*g.OIm1*pow(g.OIal1,2)*g.OIx1 - 
  (2*pow(g.OIal1,3)*g.OIx1)/3. + (pow(M_PI,2)*pow(g.OIx1,2))/12. + 
  pow(g.OIm1,2)*pow(g.OIx1,2) + 2*g.OIm1*g.OIal1*pow(g.OIx1,2) + 
  pow(g.OIal1,2)*pow(g.OIx1,2) - (2*g.OIm1*pow(g.OIx1,3))/3. - 
  (2*g.OIal1*pow(g.OIx1,3))/3. + pow(g.OIx1,4)/6. + 
  (13*zeta3*g.OIx2)/3. - (pow(M_PI,2)*g.OIm1*g.OIx2)/6. - 
  (2*pow(g.OIm1,3)*g.OIx2)/3. - (pow(M_PI,2)*g.OIal1*g.OIx2)/6. - 
  2*pow(g.OIm1,2)*g.OIal1*g.OIx2 - 2*g.OIm1*pow(g.OIal1,2)*g.OIx2 - 
  (2*pow(g.OIal1,3)*g.OIx2)/3. + (pow(M_PI,2)*g.OIx1*g.OIx2)/6. + 
  2*pow(g.OIm1,2)*g.OIx1*g.OIx2 + 4*g.OIm1*g.OIal1*g.OIx1*g.OIx2 + 
  2*pow(g.OIal1,2)*g.OIx1*g.OIx2 - 2*g.OIm1*pow(g.OIx1,2)*g.OIx2 - 
  2*g.OIal1*pow(g.OIx1,2)*g.OIx2 + (2*pow(g.OIx1,3)*g.OIx2)/3. + 
  (pow(M_PI,2)*pow(g.OIx2,2))/12. + pow(g.OIm1,2)*pow(g.OIx2,2) + 
  2*g.OIm1*g.OIal1*pow(g.OIx2,2) + pow(g.OIal1,2)*pow(g.OIx2,2) - 
  2*g.OIm1*g.OIx1*pow(g.OIx2,2) - 2*g.OIal1*g.OIx1*pow(g.OIx2,2) + 
  pow(g.OIx1,2)*pow(g.OIx2,2) - (2*g.OIm1*pow(g.OIx2,3))/3. - 
  (2*g.OIal1*pow(g.OIx2,3))/3. + (2*g.OIx1*pow(g.OIx2,3))/3. + 
  pow(g.OIx2,4)/6. + (13*zeta3*g.al2Ix5)/3. - 
  (pow(M_PI,2)*g.OIm1*g.al2Ix5)/6. - (2*pow(g.OIm1,3)*g.al2Ix5)/3. - 
  (pow(M_PI,2)*g.OIal1*g.al2Ix5)/6. - 
  2*pow(g.OIm1,2)*g.OIal1*g.al2Ix5 - 
  2*g.OIm1*pow(g.OIal1,2)*g.al2Ix5 - 
  (2*pow(g.OIal1,3)*g.al2Ix5)/3. + (pow(M_PI,2)*g.OIx1*g.al2Ix5)/6. + 
  2*pow(g.OIm1,2)*g.OIx1*g.al2Ix5 + 
  4*g.OIm1*g.OIal1*g.OIx1*g.al2Ix5 + 
  2*pow(g.OIal1,2)*g.OIx1*g.al2Ix5 - 
  2*g.OIm1*pow(g.OIx1,2)*g.al2Ix5 - 
  2*g.OIal1*pow(g.OIx1,2)*g.al2Ix5 + (2*pow(g.OIx1,3)*g.al2Ix5)/3. + 
  (pow(M_PI,2)*g.OIx2*g.al2Ix5)/6. + 2*pow(g.OIm1,2)*g.OIx2*g.al2Ix5 + 
  4*g.OIm1*g.OIal1*g.OIx2*g.al2Ix5 + 
  2*pow(g.OIal1,2)*g.OIx2*g.al2Ix5 - 
  4*g.OIm1*g.OIx1*g.OIx2*g.al2Ix5 - 
  4*g.OIal1*g.OIx1*g.OIx2*g.al2Ix5 + 
  2*pow(g.OIx1,2)*g.OIx2*g.al2Ix5 - 
  2*g.OIm1*pow(g.OIx2,2)*g.al2Ix5 - 
  2*g.OIal1*pow(g.OIx2,2)*g.al2Ix5 + 
  2*g.OIx1*pow(g.OIx2,2)*g.al2Ix5 + (2*pow(g.OIx2,3)*g.al2Ix5)/3. + 
  (pow(M_PI,2)*pow(g.al2Ix5,2))/12. + 
  pow(g.OIm1,2)*pow(g.al2Ix5,2) + 
  2*g.OIm1*g.OIal1*pow(g.al2Ix5,2) + 
  pow(g.OIal1,2)*pow(g.al2Ix5,2) - 
  2*g.OIm1*g.OIx1*pow(g.al2Ix5,2) - 
  2*g.OIal1*g.OIx1*pow(g.al2Ix5,2) + 
  pow(g.OIx1,2)*pow(g.al2Ix5,2) - 
  2*g.OIm1*g.OIx2*pow(g.al2Ix5,2) - 
  2*g.OIal1*g.OIx2*pow(g.al2Ix5,2) + 
  2*g.OIx1*g.OIx2*pow(g.al2Ix5,2) + 
  pow(g.OIx2,2)*pow(g.al2Ix5,2) - (2*g.OIm1*pow(g.al2Ix5,3))/3. - 
  (2*g.OIal1*pow(g.al2Ix5,3))/3. + (2*g.OIx1*pow(g.al2Ix5,3))/3. + 
  (2*g.OIx2*pow(g.al2Ix5,3))/3. + pow(g.al2Ix5,4)/6. - 
  (13*zeta3*g.x5Ial2)/3. + (pow(M_PI,2)*g.OIm1*g.x5Ial2)/6. + 
  (2*pow(g.OIm1,3)*g.x5Ial2)/3. + (pow(M_PI,2)*g.OIal1*g.x5Ial2)/6. + 
  2*pow(g.OIm1,2)*g.OIal1*g.x5Ial2 + 
  2*g.OIm1*pow(g.OIal1,2)*g.x5Ial2 + 
  (2*pow(g.OIal1,3)*g.x5Ial2)/3. - (pow(M_PI,2)*g.OIx1*g.x5Ial2)/6. - 
  2*pow(g.OIm1,2)*g.OIx1*g.x5Ial2 - 
  4*g.OIm1*g.OIal1*g.OIx1*g.x5Ial2 - 
  2*pow(g.OIal1,2)*g.OIx1*g.x5Ial2 + 
  2*g.OIm1*pow(g.OIx1,2)*g.x5Ial2 + 
  2*g.OIal1*pow(g.OIx1,2)*g.x5Ial2 - (2*pow(g.OIx1,3)*g.x5Ial2)/3. - 
  (pow(M_PI,2)*g.OIx2*g.x5Ial2)/6. - 2*pow(g.OIm1,2)*g.OIx2*g.x5Ial2 - 
  4*g.OIm1*g.OIal1*g.OIx2*g.x5Ial2 - 
  2*pow(g.OIal1,2)*g.OIx2*g.x5Ial2 + 
  4*g.OIm1*g.OIx1*g.OIx2*g.x5Ial2 + 
  4*g.OIal1*g.OIx1*g.OIx2*g.x5Ial2 - 
  2*pow(g.OIx1,2)*g.OIx2*g.x5Ial2 + 
  2*g.OIm1*pow(g.OIx2,2)*g.x5Ial2 + 
  2*g.OIal1*pow(g.OIx2,2)*g.x5Ial2 - 
  2*g.OIx1*pow(g.OIx2,2)*g.x5Ial2 - (2*pow(g.OIx2,3)*g.x5Ial2)/3. - 
  (pow(M_PI,2)*g.al2Ix5*g.x5Ial2)/6. - 
  2*pow(g.OIm1,2)*g.al2Ix5*g.x5Ial2 - 
  4*g.OIm1*g.OIal1*g.al2Ix5*g.x5Ial2 - 
  2*pow(g.OIal1,2)*g.al2Ix5*g.x5Ial2 + 
  4*g.OIm1*g.OIx1*g.al2Ix5*g.x5Ial2 + 
  4*g.OIal1*g.OIx1*g.al2Ix5*g.x5Ial2 - 
  2*pow(g.OIx1,2)*g.al2Ix5*g.x5Ial2 + 
  4*g.OIm1*g.OIx2*g.al2Ix5*g.x5Ial2 + 
  4*g.OIal1*g.OIx2*g.al2Ix5*g.x5Ial2 - 
  4*g.OIx1*g.OIx2*g.al2Ix5*g.x5Ial2 - 
  2*pow(g.OIx2,2)*g.al2Ix5*g.x5Ial2 + 
  2*g.OIm1*pow(g.al2Ix5,2)*g.x5Ial2 + 
  2*g.OIal1*pow(g.al2Ix5,2)*g.x5Ial2 - 
  2*g.OIx1*pow(g.al2Ix5,2)*g.x5Ial2 - 
  2*g.OIx2*pow(g.al2Ix5,2)*g.x5Ial2 - 
  (2*pow(g.al2Ix5,3)*g.x5Ial2)/3. + 
  (pow(M_PI,2)*pow(g.x5Ial2,2))/12. + 
  pow(g.OIm1,2)*pow(g.x5Ial2,2) + 
  2*g.OIm1*g.OIal1*pow(g.x5Ial2,2) + 
  pow(g.OIal1,2)*pow(g.x5Ial2,2) - 
  2*g.OIm1*g.OIx1*pow(g.x5Ial2,2) - 
  2*g.OIal1*g.OIx1*pow(g.x5Ial2,2) + 
  pow(g.OIx1,2)*pow(g.x5Ial2,2) - 
  2*g.OIm1*g.OIx2*pow(g.x5Ial2,2) - 
  2*g.OIal1*g.OIx2*pow(g.x5Ial2,2) + 
  2*g.OIx1*g.OIx2*pow(g.x5Ial2,2) + 
  pow(g.OIx2,2)*pow(g.x5Ial2,2) - 
  2*g.OIm1*g.al2Ix5*pow(g.x5Ial2,2) - 
  2*g.OIal1*g.al2Ix5*pow(g.x5Ial2,2) + 
  2*g.OIx1*g.al2Ix5*pow(g.x5Ial2,2) + 
  2*g.OIx2*g.al2Ix5*pow(g.x5Ial2,2) + 
  pow(g.al2Ix5,2)*pow(g.x5Ial2,2) + (2*g.OIm1*pow(g.x5Ial2,3))/3. + 
  (2*g.OIal1*pow(g.x5Ial2,3))/3. - (2*g.OIx1*pow(g.x5Ial2,3))/3. - 
  (2*g.OIx2*pow(g.x5Ial2,3))/3. - (2*g.al2Ix5*pow(g.x5Ial2,3))/3. + 
  pow(g.x5Ial2,4)/6. + (13*zeta3*g.x5Ix4)/3. - 
  (pow(M_PI,2)*g.OIm1*g.x5Ix4)/6. - (2*pow(g.OIm1,3)*g.x5Ix4)/3. - 
  (pow(M_PI,2)*g.OIal1*g.x5Ix4)/6. - 2*pow(g.OIm1,2)*g.OIal1*g.x5Ix4 - 
  2*g.OIm1*pow(g.OIal1,2)*g.x5Ix4 - (2*pow(g.OIal1,3)*g.x5Ix4)/3. + 
  (pow(M_PI,2)*g.OIx1*g.x5Ix4)/6. + 2*pow(g.OIm1,2)*g.OIx1*g.x5Ix4 + 
  4*g.OIm1*g.OIal1*g.OIx1*g.x5Ix4 + 
  2*pow(g.OIal1,2)*g.OIx1*g.x5Ix4 - 
  2*g.OIm1*pow(g.OIx1,2)*g.x5Ix4 - 
  2*g.OIal1*pow(g.OIx1,2)*g.x5Ix4 + (2*pow(g.OIx1,3)*g.x5Ix4)/3. + 
  (pow(M_PI,2)*g.OIx2*g.x5Ix4)/6. + 2*pow(g.OIm1,2)*g.OIx2*g.x5Ix4 + 
  4*g.OIm1*g.OIal1*g.OIx2*g.x5Ix4 + 
  2*pow(g.OIal1,2)*g.OIx2*g.x5Ix4 - 4*g.OIm1*g.OIx1*g.OIx2*g.x5Ix4 - 
  4*g.OIal1*g.OIx1*g.OIx2*g.x5Ix4 + 2*pow(g.OIx1,2)*g.OIx2*g.x5Ix4 - 
  2*g.OIm1*pow(g.OIx2,2)*g.x5Ix4 - 
  2*g.OIal1*pow(g.OIx2,2)*g.x5Ix4 + 
  2*g.OIx1*pow(g.OIx2,2)*g.x5Ix4 + (2*pow(g.OIx2,3)*g.x5Ix4)/3. + 
  (pow(M_PI,2)*g.al2Ix5*g.x5Ix4)/6. + 
  2*pow(g.OIm1,2)*g.al2Ix5*g.x5Ix4 + 
  4*g.OIm1*g.OIal1*g.al2Ix5*g.x5Ix4 + 
  2*pow(g.OIal1,2)*g.al2Ix5*g.x5Ix4 - 
  4*g.OIm1*g.OIx1*g.al2Ix5*g.x5Ix4 - 
  4*g.OIal1*g.OIx1*g.al2Ix5*g.x5Ix4 + 
  2*pow(g.OIx1,2)*g.al2Ix5*g.x5Ix4 - 
  4*g.OIm1*g.OIx2*g.al2Ix5*g.x5Ix4 - 
  4*g.OIal1*g.OIx2*g.al2Ix5*g.x5Ix4 + 
  4*g.OIx1*g.OIx2*g.al2Ix5*g.x5Ix4 + 
  2*pow(g.OIx2,2)*g.al2Ix5*g.x5Ix4 - 
  2*g.OIm1*pow(g.al2Ix5,2)*g.x5Ix4 - 
  2*g.OIal1*pow(g.al2Ix5,2)*g.x5Ix4 + 
  2*g.OIx1*pow(g.al2Ix5,2)*g.x5Ix4 + 
  2*g.OIx2*pow(g.al2Ix5,2)*g.x5Ix4 + 
  (2*pow(g.al2Ix5,3)*g.x5Ix4)/3. - (pow(M_PI,2)*g.x5Ial2*g.x5Ix4)/6. - 
  2*pow(g.OIm1,2)*g.x5Ial2*g.x5Ix4 - 
  4*g.OIm1*g.OIal1*g.x5Ial2*g.x5Ix4 - 
  2*pow(g.OIal1,2)*g.x5Ial2*g.x5Ix4 + 
  4*g.OIm1*g.OIx1*g.x5Ial2*g.x5Ix4 + 
  4*g.OIal1*g.OIx1*g.x5Ial2*g.x5Ix4 - 
  2*pow(g.OIx1,2)*g.x5Ial2*g.x5Ix4 + 
  4*g.OIm1*g.OIx2*g.x5Ial2*g.x5Ix4 + 
  4*g.OIal1*g.OIx2*g.x5Ial2*g.x5Ix4 - 
  4*g.OIx1*g.OIx2*g.x5Ial2*g.x5Ix4 - 
  2*pow(g.OIx2,2)*g.x5Ial2*g.x5Ix4 + 
  4*g.OIm1*g.al2Ix5*g.x5Ial2*g.x5Ix4 + 
  4*g.OIal1*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  4*g.OIx1*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  4*g.OIx2*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  2*pow(g.al2Ix5,2)*g.x5Ial2*g.x5Ix4 - 
  2*g.OIm1*pow(g.x5Ial2,2)*g.x5Ix4 - 
  2*g.OIal1*pow(g.x5Ial2,2)*g.x5Ix4 + 
  2*g.OIx1*pow(g.x5Ial2,2)*g.x5Ix4 + 
  2*g.OIx2*pow(g.x5Ial2,2)*g.x5Ix4 + 
  2*g.al2Ix5*pow(g.x5Ial2,2)*g.x5Ix4 - 
  (2*pow(g.x5Ial2,3)*g.x5Ix4)/3. + (pow(M_PI,2)*pow(g.x5Ix4,2))/12. + 
  pow(g.OIm1,2)*pow(g.x5Ix4,2) + 2*g.OIm1*g.OIal1*pow(g.x5Ix4,2) + 
  pow(g.OIal1,2)*pow(g.x5Ix4,2) - 2*g.OIm1*g.OIx1*pow(g.x5Ix4,2) - 
  2*g.OIal1*g.OIx1*pow(g.x5Ix4,2) + pow(g.OIx1,2)*pow(g.x5Ix4,2) - 
  2*g.OIm1*g.OIx2*pow(g.x5Ix4,2) - 
  2*g.OIal1*g.OIx2*pow(g.x5Ix4,2) + 
  2*g.OIx1*g.OIx2*pow(g.x5Ix4,2) + pow(g.OIx2,2)*pow(g.x5Ix4,2) - 
  2*g.OIm1*g.al2Ix5*pow(g.x5Ix4,2) - 
  2*g.OIal1*g.al2Ix5*pow(g.x5Ix4,2) + 
  2*g.OIx1*g.al2Ix5*pow(g.x5Ix4,2) + 
  2*g.OIx2*g.al2Ix5*pow(g.x5Ix4,2) + 
  pow(g.al2Ix5,2)*pow(g.x5Ix4,2) + 
  2*g.OIm1*g.x5Ial2*pow(g.x5Ix4,2) + 
  2*g.OIal1*g.x5Ial2*pow(g.x5Ix4,2) - 
  2*g.OIx1*g.x5Ial2*pow(g.x5Ix4,2) - 
  2*g.OIx2*g.x5Ial2*pow(g.x5Ix4,2) - 
  2*g.al2Ix5*g.x5Ial2*pow(g.x5Ix4,2) + 
  pow(g.x5Ial2,2)*pow(g.x5Ix4,2) - (2*g.OIm1*pow(g.x5Ix4,3))/3. - 
  (2*g.OIal1*pow(g.x5Ix4,3))/3. + (2*g.OIx1*pow(g.x5Ix4,3))/3. + 
  (2*g.OIx2*pow(g.x5Ix4,3))/3. + (2*g.al2Ix5*pow(g.x5Ix4,3))/3. - 
  (2*g.x5Ial2*pow(g.x5Ix4,3))/3. + pow(g.x5Ix4,4)/6.
;
 

std::vector<GiNaC::ex>integr10;

integr10.push_back(integre0);
integr10.push_back(integre1);
integr10.push_back(integre2);
integr10.push_back(integre3);
integr10.push_back(integre4);

return integr10;
}
