
#include "../header.h"
#include "../struct-myGHPL.h"
std::vector<GiNaC::ex>  integral5( myGHPLs  & g) {
      using namespace GiNaC;

     #include "../boundary.h"
     ex zeta3=1.2020569031595942;
     ex d37s3 = 9.03301789873836469269;
     ex d38s3 = 22.0377098912592295221202221000567;

     ex integre0 =  -1;
     ex integre1 =  
  -2*g.OIm1 - 2*g.OIal1 + 2*g.OIx1 + 2*g.OIx2 + 2*g.al2Ix5 - 2*g.x5Ial2 + 
  2*g.x5Ix4
;
     ex integre2 =    
pow(M_PI,2)/6. - 2*pow(g.OIm1,2) - 4*g.OIm1*g.OIal1 - 
  2*pow(g.OIal1,2) + 4*g.OIm1*g.OIx1 + 4*g.OIal1*g.OIx1 - 
  2*pow(g.OIx1,2) + 4*g.OIm1*g.OIx2 + 4*g.OIal1*g.OIx2 - 
  4*g.OIx1*g.OIx2 - 2*pow(g.OIx2,2) + 4*g.OIm1*g.al2Ix5 + 
  4*g.OIal1*g.al2Ix5 - 4*g.OIx1*g.al2Ix5 - 4*g.OIx2*g.al2Ix5 - 
  2*pow(g.al2Ix5,2) - 4*g.OIm1*g.x5Ial2 - 4*g.OIal1*g.x5Ial2 + 
  4*g.OIx1*g.x5Ial2 + 4*g.OIx2*g.x5Ial2 + 4*g.al2Ix5*g.x5Ial2 - 
  2*pow(g.x5Ial2,2) + 4*g.OIm1*g.x5Ix4 + 4*g.OIal1*g.x5Ix4 - 
  4*g.OIx1*g.x5Ix4 - 4*g.OIx2*g.x5Ix4 - 4*g.al2Ix5*g.x5Ix4 + 
  4*g.x5Ial2*g.x5Ix4 - 2*pow(g.x5Ix4,2)
;
     ex integre3 =    
(32*zeta3)/3. + (pow(M_PI,2)*g.OIm1)/3. - (4*pow(g.OIm1,3))/3. + 
  (pow(M_PI,2)*g.OIal1)/3. - 4*pow(g.OIm1,2)*g.OIal1 - 
  4*g.OIm1*pow(g.OIal1,2) - (4*pow(g.OIal1,3))/3. - 
  (pow(M_PI,2)*g.OIx1)/3. + 4*pow(g.OIm1,2)*g.OIx1 + 
  8*g.OIm1*g.OIal1*g.OIx1 + 4*pow(g.OIal1,2)*g.OIx1 - 
  4*g.OIm1*pow(g.OIx1,2) - 4*g.OIal1*pow(g.OIx1,2) + 
  (4*pow(g.OIx1,3))/3. - (pow(M_PI,2)*g.OIx2)/3. + 
  4*pow(g.OIm1,2)*g.OIx2 + 8*g.OIm1*g.OIal1*g.OIx2 + 
  4*pow(g.OIal1,2)*g.OIx2 - 8*g.OIm1*g.OIx1*g.OIx2 - 
  8*g.OIal1*g.OIx1*g.OIx2 + 4*pow(g.OIx1,2)*g.OIx2 - 
  4*g.OIm1*pow(g.OIx2,2) - 4*g.OIal1*pow(g.OIx2,2) + 
  4*g.OIx1*pow(g.OIx2,2) + (4*pow(g.OIx2,3))/3. - 
  (pow(M_PI,2)*g.al2Ix5)/3. + 4*pow(g.OIm1,2)*g.al2Ix5 + 
  8*g.OIm1*g.OIal1*g.al2Ix5 + 4*pow(g.OIal1,2)*g.al2Ix5 - 
  8*g.OIm1*g.OIx1*g.al2Ix5 - 8*g.OIal1*g.OIx1*g.al2Ix5 + 
  4*pow(g.OIx1,2)*g.al2Ix5 - 8*g.OIm1*g.OIx2*g.al2Ix5 - 
  8*g.OIal1*g.OIx2*g.al2Ix5 + 8*g.OIx1*g.OIx2*g.al2Ix5 + 
  4*pow(g.OIx2,2)*g.al2Ix5 - 4*g.OIm1*pow(g.al2Ix5,2) - 
  4*g.OIal1*pow(g.al2Ix5,2) + 4*g.OIx1*pow(g.al2Ix5,2) + 
  4*g.OIx2*pow(g.al2Ix5,2) + (4*pow(g.al2Ix5,3))/3. + 
  (pow(M_PI,2)*g.x5Ial2)/3. - 4*pow(g.OIm1,2)*g.x5Ial2 - 
  8*g.OIm1*g.OIal1*g.x5Ial2 - 4*pow(g.OIal1,2)*g.x5Ial2 + 
  8*g.OIm1*g.OIx1*g.x5Ial2 + 8*g.OIal1*g.OIx1*g.x5Ial2 - 
  4*pow(g.OIx1,2)*g.x5Ial2 + 8*g.OIm1*g.OIx2*g.x5Ial2 + 
  8*g.OIal1*g.OIx2*g.x5Ial2 - 8*g.OIx1*g.OIx2*g.x5Ial2 - 
  4*pow(g.OIx2,2)*g.x5Ial2 + 8*g.OIm1*g.al2Ix5*g.x5Ial2 + 
  8*g.OIal1*g.al2Ix5*g.x5Ial2 - 8*g.OIx1*g.al2Ix5*g.x5Ial2 - 
  8*g.OIx2*g.al2Ix5*g.x5Ial2 - 4*pow(g.al2Ix5,2)*g.x5Ial2 - 
  4*g.OIm1*pow(g.x5Ial2,2) - 4*g.OIal1*pow(g.x5Ial2,2) + 
  4*g.OIx1*pow(g.x5Ial2,2) + 4*g.OIx2*pow(g.x5Ial2,2) + 
  4*g.al2Ix5*pow(g.x5Ial2,2) - (4*pow(g.x5Ial2,3))/3. - 
  (pow(M_PI,2)*g.x5Ix4)/3. + 4*pow(g.OIm1,2)*g.x5Ix4 + 
  8*g.OIm1*g.OIal1*g.x5Ix4 + 4*pow(g.OIal1,2)*g.x5Ix4 - 
  8*g.OIm1*g.OIx1*g.x5Ix4 - 8*g.OIal1*g.OIx1*g.x5Ix4 + 
  4*pow(g.OIx1,2)*g.x5Ix4 - 8*g.OIm1*g.OIx2*g.x5Ix4 - 
  8*g.OIal1*g.OIx2*g.x5Ix4 + 8*g.OIx1*g.OIx2*g.x5Ix4 + 
  4*pow(g.OIx2,2)*g.x5Ix4 - 8*g.OIm1*g.al2Ix5*g.x5Ix4 - 
  8*g.OIal1*g.al2Ix5*g.x5Ix4 + 8*g.OIx1*g.al2Ix5*g.x5Ix4 + 
  8*g.OIx2*g.al2Ix5*g.x5Ix4 + 4*pow(g.al2Ix5,2)*g.x5Ix4 + 
  8*g.OIm1*g.x5Ial2*g.x5Ix4 + 8*g.OIal1*g.x5Ial2*g.x5Ix4 - 
  8*g.OIx1*g.x5Ial2*g.x5Ix4 - 8*g.OIx2*g.x5Ial2*g.x5Ix4 - 
  8*g.al2Ix5*g.x5Ial2*g.x5Ix4 + 4*pow(g.x5Ial2,2)*g.x5Ix4 - 
  4*g.OIm1*pow(g.x5Ix4,2) - 4*g.OIal1*pow(g.x5Ix4,2) + 
  4*g.OIx1*pow(g.x5Ix4,2) + 4*g.OIx2*pow(g.x5Ix4,2) + 
  4*g.al2Ix5*pow(g.x5Ix4,2) - 4*g.x5Ial2*pow(g.x5Ix4,2) + 
  (4*pow(g.x5Ix4,3))/3.
;
     ex integre4 =   
 bc4i5 + (64*zeta3*g.OIm1)/3. + (pow(M_PI,2)*pow(g.OIm1,2))/3. - 
  (2*pow(g.OIm1,4))/3. + (64*zeta3*g.OIal1)/3. + 
  (2*pow(M_PI,2)*g.OIm1*g.OIal1)/3. - (8*pow(g.OIm1,3)*g.OIal1)/3. + 
  (pow(M_PI,2)*pow(g.OIal1,2))/3. - 4*pow(g.OIm1,2)*pow(g.OIal1,2) - 
  (8*g.OIm1*pow(g.OIal1,3))/3. - (2*pow(g.OIal1,4))/3. - 
  (64*zeta3*g.OIx1)/3. - (2*pow(M_PI,2)*g.OIm1*g.OIx1)/3. + 
  (8*pow(g.OIm1,3)*g.OIx1)/3. - (2*pow(M_PI,2)*g.OIal1*g.OIx1)/3. + 
  8*pow(g.OIm1,2)*g.OIal1*g.OIx1 + 8*g.OIm1*pow(g.OIal1,2)*g.OIx1 + 
  (8*pow(g.OIal1,3)*g.OIx1)/3. + (pow(M_PI,2)*pow(g.OIx1,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.OIx1,2) - 8*g.OIm1*g.OIal1*pow(g.OIx1,2) - 
  4*pow(g.OIal1,2)*pow(g.OIx1,2) + (8*g.OIm1*pow(g.OIx1,3))/3. + 
  (8*g.OIal1*pow(g.OIx1,3))/3. - (2*pow(g.OIx1,4))/3. - 
  (64*zeta3*g.OIx2)/3. - (2*pow(M_PI,2)*g.OIm1*g.OIx2)/3. + 
  (8*pow(g.OIm1,3)*g.OIx2)/3. - (2*pow(M_PI,2)*g.OIal1*g.OIx2)/3. + 
  8*pow(g.OIm1,2)*g.OIal1*g.OIx2 + 8*g.OIm1*pow(g.OIal1,2)*g.OIx2 + 
  (8*pow(g.OIal1,3)*g.OIx2)/3. + (2*pow(M_PI,2)*g.OIx1*g.OIx2)/3. - 
  8*pow(g.OIm1,2)*g.OIx1*g.OIx2 - 16*g.OIm1*g.OIal1*g.OIx1*g.OIx2 - 
  8*pow(g.OIal1,2)*g.OIx1*g.OIx2 + 8*g.OIm1*pow(g.OIx1,2)*g.OIx2 + 
  8*g.OIal1*pow(g.OIx1,2)*g.OIx2 - (8*pow(g.OIx1,3)*g.OIx2)/3. + 
  (pow(M_PI,2)*pow(g.OIx2,2))/3. - 4*pow(g.OIm1,2)*pow(g.OIx2,2) - 
  8*g.OIm1*g.OIal1*pow(g.OIx2,2) - 
  4*pow(g.OIal1,2)*pow(g.OIx2,2) + 8*g.OIm1*g.OIx1*pow(g.OIx2,2) + 
  8*g.OIal1*g.OIx1*pow(g.OIx2,2) - 4*pow(g.OIx1,2)*pow(g.OIx2,2) + 
  (8*g.OIm1*pow(g.OIx2,3))/3. + (8*g.OIal1*pow(g.OIx2,3))/3. - 
  (8*g.OIx1*pow(g.OIx2,3))/3. - (2*pow(g.OIx2,4))/3. - 
  (64*zeta3*g.al2Ix5)/3. - (2*pow(M_PI,2)*g.OIm1*g.al2Ix5)/3. + 
  (8*pow(g.OIm1,3)*g.al2Ix5)/3. - (2*pow(M_PI,2)*g.OIal1*g.al2Ix5)/3. + 
  8*pow(g.OIm1,2)*g.OIal1*g.al2Ix5 + 
  8*g.OIm1*pow(g.OIal1,2)*g.al2Ix5 + 
  (8*pow(g.OIal1,3)*g.al2Ix5)/3. + (2*pow(M_PI,2)*g.OIx1*g.al2Ix5)/3. - 
  8*pow(g.OIm1,2)*g.OIx1*g.al2Ix5 - 
  16*g.OIm1*g.OIal1*g.OIx1*g.al2Ix5 - 
  8*pow(g.OIal1,2)*g.OIx1*g.al2Ix5 + 
  8*g.OIm1*pow(g.OIx1,2)*g.al2Ix5 + 
  8*g.OIal1*pow(g.OIx1,2)*g.al2Ix5 - (8*pow(g.OIx1,3)*g.al2Ix5)/3. + 
  (2*pow(M_PI,2)*g.OIx2*g.al2Ix5)/3. - 
  8*pow(g.OIm1,2)*g.OIx2*g.al2Ix5 - 
  16*g.OIm1*g.OIal1*g.OIx2*g.al2Ix5 - 
  8*pow(g.OIal1,2)*g.OIx2*g.al2Ix5 + 
  16*g.OIm1*g.OIx1*g.OIx2*g.al2Ix5 + 
  16*g.OIal1*g.OIx1*g.OIx2*g.al2Ix5 - 
  8*pow(g.OIx1,2)*g.OIx2*g.al2Ix5 + 
  8*g.OIm1*pow(g.OIx2,2)*g.al2Ix5 + 
  8*g.OIal1*pow(g.OIx2,2)*g.al2Ix5 - 
  8*g.OIx1*pow(g.OIx2,2)*g.al2Ix5 - (8*pow(g.OIx2,3)*g.al2Ix5)/3. + 
  (pow(M_PI,2)*pow(g.al2Ix5,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.al2Ix5,2) - 
  8*g.OIm1*g.OIal1*pow(g.al2Ix5,2) - 
  4*pow(g.OIal1,2)*pow(g.al2Ix5,2) + 
  8*g.OIm1*g.OIx1*pow(g.al2Ix5,2) + 
  8*g.OIal1*g.OIx1*pow(g.al2Ix5,2) - 
  4*pow(g.OIx1,2)*pow(g.al2Ix5,2) + 
  8*g.OIm1*g.OIx2*pow(g.al2Ix5,2) + 
  8*g.OIal1*g.OIx2*pow(g.al2Ix5,2) - 
  8*g.OIx1*g.OIx2*pow(g.al2Ix5,2) - 
  4*pow(g.OIx2,2)*pow(g.al2Ix5,2) + (8*g.OIm1*pow(g.al2Ix5,3))/3. + 
  (8*g.OIal1*pow(g.al2Ix5,3))/3. - (8*g.OIx1*pow(g.al2Ix5,3))/3. - 
  (8*g.OIx2*pow(g.al2Ix5,3))/3. - (2*pow(g.al2Ix5,4))/3. + 
  (64*zeta3*g.x5Ial2)/3. + (2*pow(M_PI,2)*g.OIm1*g.x5Ial2)/3. - 
  (8*pow(g.OIm1,3)*g.x5Ial2)/3. + (2*pow(M_PI,2)*g.OIal1*g.x5Ial2)/3. - 
  8*pow(g.OIm1,2)*g.OIal1*g.x5Ial2 - 
  8*g.OIm1*pow(g.OIal1,2)*g.x5Ial2 - 
  (8*pow(g.OIal1,3)*g.x5Ial2)/3. - (2*pow(M_PI,2)*g.OIx1*g.x5Ial2)/3. + 
  8*pow(g.OIm1,2)*g.OIx1*g.x5Ial2 + 
  16*g.OIm1*g.OIal1*g.OIx1*g.x5Ial2 + 
  8*pow(g.OIal1,2)*g.OIx1*g.x5Ial2 - 
  8*g.OIm1*pow(g.OIx1,2)*g.x5Ial2 - 
  8*g.OIal1*pow(g.OIx1,2)*g.x5Ial2 + (8*pow(g.OIx1,3)*g.x5Ial2)/3. - 
  (2*pow(M_PI,2)*g.OIx2*g.x5Ial2)/3. + 
  8*pow(g.OIm1,2)*g.OIx2*g.x5Ial2 + 
  16*g.OIm1*g.OIal1*g.OIx2*g.x5Ial2 + 
  8*pow(g.OIal1,2)*g.OIx2*g.x5Ial2 - 
  16*g.OIm1*g.OIx1*g.OIx2*g.x5Ial2 - 
  16*g.OIal1*g.OIx1*g.OIx2*g.x5Ial2 + 
  8*pow(g.OIx1,2)*g.OIx2*g.x5Ial2 - 
  8*g.OIm1*pow(g.OIx2,2)*g.x5Ial2 - 
  8*g.OIal1*pow(g.OIx2,2)*g.x5Ial2 + 
  8*g.OIx1*pow(g.OIx2,2)*g.x5Ial2 + (8*pow(g.OIx2,3)*g.x5Ial2)/3. - 
  (2*pow(M_PI,2)*g.al2Ix5*g.x5Ial2)/3. + 
  8*pow(g.OIm1,2)*g.al2Ix5*g.x5Ial2 + 
  16*g.OIm1*g.OIal1*g.al2Ix5*g.x5Ial2 + 
  8*pow(g.OIal1,2)*g.al2Ix5*g.x5Ial2 - 
  16*g.OIm1*g.OIx1*g.al2Ix5*g.x5Ial2 - 
  16*g.OIal1*g.OIx1*g.al2Ix5*g.x5Ial2 + 
  8*pow(g.OIx1,2)*g.al2Ix5*g.x5Ial2 - 
  16*g.OIm1*g.OIx2*g.al2Ix5*g.x5Ial2 - 
  16*g.OIal1*g.OIx2*g.al2Ix5*g.x5Ial2 + 
  16*g.OIx1*g.OIx2*g.al2Ix5*g.x5Ial2 + 
  8*pow(g.OIx2,2)*g.al2Ix5*g.x5Ial2 - 
  8*g.OIm1*pow(g.al2Ix5,2)*g.x5Ial2 - 
  8*g.OIal1*pow(g.al2Ix5,2)*g.x5Ial2 + 
  8*g.OIx1*pow(g.al2Ix5,2)*g.x5Ial2 + 
  8*g.OIx2*pow(g.al2Ix5,2)*g.x5Ial2 + 
  (8*pow(g.al2Ix5,3)*g.x5Ial2)/3. + (pow(M_PI,2)*pow(g.x5Ial2,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.x5Ial2,2) - 
  8*g.OIm1*g.OIal1*pow(g.x5Ial2,2) - 
  4*pow(g.OIal1,2)*pow(g.x5Ial2,2) + 
  8*g.OIm1*g.OIx1*pow(g.x5Ial2,2) + 
  8*g.OIal1*g.OIx1*pow(g.x5Ial2,2) - 
  4*pow(g.OIx1,2)*pow(g.x5Ial2,2) + 
  8*g.OIm1*g.OIx2*pow(g.x5Ial2,2) + 
  8*g.OIal1*g.OIx2*pow(g.x5Ial2,2) - 
  8*g.OIx1*g.OIx2*pow(g.x5Ial2,2) - 
  4*pow(g.OIx2,2)*pow(g.x5Ial2,2) + 
  8*g.OIm1*g.al2Ix5*pow(g.x5Ial2,2) + 
  8*g.OIal1*g.al2Ix5*pow(g.x5Ial2,2) - 
  8*g.OIx1*g.al2Ix5*pow(g.x5Ial2,2) - 
  8*g.OIx2*g.al2Ix5*pow(g.x5Ial2,2) - 
  4*pow(g.al2Ix5,2)*pow(g.x5Ial2,2) - 
  (8*g.OIm1*pow(g.x5Ial2,3))/3. - (8*g.OIal1*pow(g.x5Ial2,3))/3. + 
  (8*g.OIx1*pow(g.x5Ial2,3))/3. + (8*g.OIx2*pow(g.x5Ial2,3))/3. + 
  (8*g.al2Ix5*pow(g.x5Ial2,3))/3. - (2*pow(g.x5Ial2,4))/3. - 
  (64*zeta3*g.x5Ix4)/3. - (2*pow(M_PI,2)*g.OIm1*g.x5Ix4)/3. + 
  (8*pow(g.OIm1,3)*g.x5Ix4)/3. - (2*pow(M_PI,2)*g.OIal1*g.x5Ix4)/3. + 
  8*pow(g.OIm1,2)*g.OIal1*g.x5Ix4 + 
  8*g.OIm1*pow(g.OIal1,2)*g.x5Ix4 + (8*pow(g.OIal1,3)*g.x5Ix4)/3. + 
  (2*pow(M_PI,2)*g.OIx1*g.x5Ix4)/3. - 8*pow(g.OIm1,2)*g.OIx1*g.x5Ix4 - 
  16*g.OIm1*g.OIal1*g.OIx1*g.x5Ix4 - 
  8*pow(g.OIal1,2)*g.OIx1*g.x5Ix4 + 
  8*g.OIm1*pow(g.OIx1,2)*g.x5Ix4 + 
  8*g.OIal1*pow(g.OIx1,2)*g.x5Ix4 - (8*pow(g.OIx1,3)*g.x5Ix4)/3. + 
  (2*pow(M_PI,2)*g.OIx2*g.x5Ix4)/3. - 8*pow(g.OIm1,2)*g.OIx2*g.x5Ix4 - 
  16*g.OIm1*g.OIal1*g.OIx2*g.x5Ix4 - 
  8*pow(g.OIal1,2)*g.OIx2*g.x5Ix4 + 
  16*g.OIm1*g.OIx1*g.OIx2*g.x5Ix4 + 
  16*g.OIal1*g.OIx1*g.OIx2*g.x5Ix4 - 
  8*pow(g.OIx1,2)*g.OIx2*g.x5Ix4 + 8*g.OIm1*pow(g.OIx2,2)*g.x5Ix4 + 
  8*g.OIal1*pow(g.OIx2,2)*g.x5Ix4 - 
  8*g.OIx1*pow(g.OIx2,2)*g.x5Ix4 - (8*pow(g.OIx2,3)*g.x5Ix4)/3. + 
  (2*pow(M_PI,2)*g.al2Ix5*g.x5Ix4)/3. - 
  8*pow(g.OIm1,2)*g.al2Ix5*g.x5Ix4 - 
  16*g.OIm1*g.OIal1*g.al2Ix5*g.x5Ix4 - 
  8*pow(g.OIal1,2)*g.al2Ix5*g.x5Ix4 + 
  16*g.OIm1*g.OIx1*g.al2Ix5*g.x5Ix4 + 
  16*g.OIal1*g.OIx1*g.al2Ix5*g.x5Ix4 - 
  8*pow(g.OIx1,2)*g.al2Ix5*g.x5Ix4 + 
  16*g.OIm1*g.OIx2*g.al2Ix5*g.x5Ix4 + 
  16*g.OIal1*g.OIx2*g.al2Ix5*g.x5Ix4 - 
  16*g.OIx1*g.OIx2*g.al2Ix5*g.x5Ix4 - 
  8*pow(g.OIx2,2)*g.al2Ix5*g.x5Ix4 + 
  8*g.OIm1*pow(g.al2Ix5,2)*g.x5Ix4 + 
  8*g.OIal1*pow(g.al2Ix5,2)*g.x5Ix4 - 
  8*g.OIx1*pow(g.al2Ix5,2)*g.x5Ix4 - 
  8*g.OIx2*pow(g.al2Ix5,2)*g.x5Ix4 - 
  (8*pow(g.al2Ix5,3)*g.x5Ix4)/3. - 
  (2*pow(M_PI,2)*g.x5Ial2*g.x5Ix4)/3. + 
  8*pow(g.OIm1,2)*g.x5Ial2*g.x5Ix4 + 
  16*g.OIm1*g.OIal1*g.x5Ial2*g.x5Ix4 + 
  8*pow(g.OIal1,2)*g.x5Ial2*g.x5Ix4 - 
  16*g.OIm1*g.OIx1*g.x5Ial2*g.x5Ix4 - 
  16*g.OIal1*g.OIx1*g.x5Ial2*g.x5Ix4 + 
  8*pow(g.OIx1,2)*g.x5Ial2*g.x5Ix4 - 
  16*g.OIm1*g.OIx2*g.x5Ial2*g.x5Ix4 - 
  16*g.OIal1*g.OIx2*g.x5Ial2*g.x5Ix4 + 
  16*g.OIx1*g.OIx2*g.x5Ial2*g.x5Ix4 + 
  8*pow(g.OIx2,2)*g.x5Ial2*g.x5Ix4 - 
  16*g.OIm1*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  16*g.OIal1*g.al2Ix5*g.x5Ial2*g.x5Ix4 + 
  16*g.OIx1*g.al2Ix5*g.x5Ial2*g.x5Ix4 + 
  16*g.OIx2*g.al2Ix5*g.x5Ial2*g.x5Ix4 + 
  8*pow(g.al2Ix5,2)*g.x5Ial2*g.x5Ix4 + 
  8*g.OIm1*pow(g.x5Ial2,2)*g.x5Ix4 + 
  8*g.OIal1*pow(g.x5Ial2,2)*g.x5Ix4 - 
  8*g.OIx1*pow(g.x5Ial2,2)*g.x5Ix4 - 
  8*g.OIx2*pow(g.x5Ial2,2)*g.x5Ix4 - 
  8*g.al2Ix5*pow(g.x5Ial2,2)*g.x5Ix4 + 
  (8*pow(g.x5Ial2,3)*g.x5Ix4)/3. + (pow(M_PI,2)*pow(g.x5Ix4,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.x5Ix4,2) - 
  8*g.OIm1*g.OIal1*pow(g.x5Ix4,2) - 
  4*pow(g.OIal1,2)*pow(g.x5Ix4,2) + 
  8*g.OIm1*g.OIx1*pow(g.x5Ix4,2) + 
  8*g.OIal1*g.OIx1*pow(g.x5Ix4,2) - 
  4*pow(g.OIx1,2)*pow(g.x5Ix4,2) + 
  8*g.OIm1*g.OIx2*pow(g.x5Ix4,2) + 
  8*g.OIal1*g.OIx2*pow(g.x5Ix4,2) - 
  8*g.OIx1*g.OIx2*pow(g.x5Ix4,2) - 
  4*pow(g.OIx2,2)*pow(g.x5Ix4,2) + 
  8*g.OIm1*g.al2Ix5*pow(g.x5Ix4,2) + 
  8*g.OIal1*g.al2Ix5*pow(g.x5Ix4,2) - 
  8*g.OIx1*g.al2Ix5*pow(g.x5Ix4,2) - 
  8*g.OIx2*g.al2Ix5*pow(g.x5Ix4,2) - 
  4*pow(g.al2Ix5,2)*pow(g.x5Ix4,2) - 
  8*g.OIm1*g.x5Ial2*pow(g.x5Ix4,2) - 
  8*g.OIal1*g.x5Ial2*pow(g.x5Ix4,2) + 
  8*g.OIx1*g.x5Ial2*pow(g.x5Ix4,2) + 
  8*g.OIx2*g.x5Ial2*pow(g.x5Ix4,2) + 
  8*g.al2Ix5*g.x5Ial2*pow(g.x5Ix4,2) - 
  4*pow(g.x5Ial2,2)*pow(g.x5Ix4,2) + (8*g.OIm1*pow(g.x5Ix4,3))/3. + 
  (8*g.OIal1*pow(g.x5Ix4,3))/3. - (8*g.OIx1*pow(g.x5Ix4,3))/3. - 
  (8*g.OIx2*pow(g.x5Ix4,3))/3. - (8*g.al2Ix5*pow(g.x5Ix4,3))/3. + 
  (8*g.x5Ial2*pow(g.x5Ix4,3))/3. - (2*pow(g.x5Ix4,4))/3.
;
 

std::vector<GiNaC::ex>integr5;

integr5.push_back(integre0);
integr5.push_back(integre1);
integr5.push_back(integre2);
integr5.push_back(integre3);
integr5.push_back(integre4);

return integr5;
}
